##MAIDEN

label maidenstart:
    $ save_name = _("you are a maiden")
    $ quick_menu = True
    $ maidenbehavior = []
    $ _history_list = []
    stop music fadeout .5

    scene stage select
    play sound audio.party

    show herosprite exitleft at actor_exit, heropos
    show maidensprite pose at actor_exit, maidenpos
    show underlingsprite exitright at actor_exit, underlingpos
    show overlordsprite exitright at actor_exit, overlordpos
    show curtains stageopen

    scene stage maiden with Dissolve(.4)
    pause .1
    show maiden start at cgresize
    show stagelight at cgresize, stagelight_reveal
    play music "music/maiden song.ogg"
    show screen cuemusic("note maiden_idle", _("MAIDEN song"))
    $ block()
    m "you are a maiden.{w=.2} you live in a peaceful village next to a spooky demon overlord's castle."
    hide stagelight
    m start2 "you are told that you are fated to be captured by the overlord one day, because you are a beautiful young girl. demon overlords apparently love capturing those."
    m "you think of how you haven't heard of that actually happening to anyone... but maybe the demons just haven't been given the opportunity? who knows."
    m start3 "you are in church. you pray to your god, asking why you have been born into this role of maiden."
    m start3a "you respect the divine plan and all, but you're really just curious as to what the point of it is. you are impatient."
    m "meeting a demon actually sounds pretty gosh darn exciting. maybe you'd understand your role better if you were to just hurry up and get captured already!"
    m start4 "you leave a note and venture forth to find a demon. just to, y'know, see what happens."
    m start5 "not long into your little adventure, a demon underling appears before you! it looks pretty scary..."
    $ persistent.polite = True
    menu:
        "SHOUT FOR A HERO TO COME SAVE YOU":
            m shout "you yell, but a hero does not come."
            if "hungry" in underlingbehavior:
                jump consumedmaiden
            m shout2 "the demon is put off by your sudden shouting and asks you to keep it down. you apologize."
            m "they seem more confused than hostile, which totally catches you off guard."
            jump maidenpart2
        "INTRODUCE YOURSELF" (behavior=_("polite")):
            $ maidenbehavior.append("polite")
            jump maidenpart2

label consumedmaiden:
    play music "music/maiden demise.ogg" fadeout 1.0
    show screen cuemusic("note maiden_idle", _("MAIDEN demise"), delay=1)
    m consumed "the demon suddenly jumps you and starts biting. a lot. how painful!" id consumedmaiden_be7e15ce
    m consumed2 "this plan of yours was completely stupid, you think. why couldn't you have been more patient? why did you go looking for trouble?"
    m "you aren't angry or anything. of course, this was all your fault for trusting a demon not to devour you on sight."
    m "this is your punishment for questioning fate, you guess."
    show dim at lightsout
    m "bit by bit you are swallowed by the demon until you are no more."
    stop music fadeout 1.0
    show curtains maiden
    pause 1
    play music "music/maiden requiem.ogg"
    show screen cuemusic("note maiden_idle", _("MAIDEN requiem"))
    if not persistent.consumedmaiden:
        $ persistent.maidenends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.consumedmaiden = True
    $ achievement.grant("CONSUMED_MAIDEN")
    "CONSUMED MAIDEN END"
    jump tryagain

label maidenpart2:
    m polite "you tell the demon your name and explain that you're a maiden from the village."
    if "hungry" in underlingbehavior:
        jump consumedmaiden
    m "you tell them that you were thinking maybe you could understand your role better if you were to hurry up and get taken away by a demon already."
    m polite2 "the demon doesn't seem to have really been listening to you, which is a little irritating."
    m polite3 "they agree to take you to their master nonetheless."
    play music "music/overlord song.ogg" fadeout 1.0
    show screen cuemusic("note overlord_idle", _("OVERLORD song"), delay=1)
    m polite4 "after a long walk to the castle, you are introduced to the overlord!"
    if "slavedriver" in overlordbehavior:
        m slavedriver "she lectures the underling that brought you here, who was apparently told not to leave their post."
        m "you wonder what cruel punishment awaits them...!"
        m slavedriver2 "but to your surprise, she lets them off easy. the underling is dismissed, and the overlord turns to you, looking very interested."
    m polite5 "you explain why you've come, and she squints at you."
    m polite6 "it turns out she never had any plans to capture maidens, or to do anything else that would agitate the humans."
    m "you wonder for a moment if she might be lying, but it doesn't really seem like it. still, this doesn't make any sense to you."
    m polite7 "you've always been told that demons would one day seek you out, and something awful would happen. then a hero would come to your rescue!"
    m "you don't want to believe you've been lied to all along. maybe it's just that you haven't been maiden-like enough."
    m polite8 "you ask the overlord what you should do to be a more suitable maiden, but she doesn't seem to understand."
    o "\"just go home and stop worrying about destiny so much.\""
    m "she makes it sound so simple. this overlord seems like the complete opposite of you..."
    m polite9 "you want to learn more about her and how she thinks! you insist on staying to talk with her more."
    if "antisocial" in overlordbehavior:
        m antisocial "the overlord tells you again that you should get lost. how rude! you just got here!"
        $ persistent.obedient = True
        menu:
            "OBEY HER" (behavior=_("obedient")):
                $ maidenbehavior.append("obedient")
                play music "music/maiden song.ogg" fadeout 1.0
                show screen cuemusic("note maiden_idle", _("MAIDEN song"), delay=1)
                m obedient "you don't want to cause any trouble, so you figure it's time to go home."
                jump maidenandhero
            "REFUSE TO LEAVE":
                m antisocial2 "you put your foot down and tell her you're not going anywhere. you still want to fulfill your destiny, even if you have to make it happen on your own!"
                m "she's a little frustrated at your stubbornness, but doesn't kick you out or anything. hooray!"
                jump maidenandoverlord
label maidenandoverlord:
    play music "music/attraction.ogg" fadeout 1.0
    show screen cuemusic("note maiden_idle", _("attraction"), delay=1)
    m chat "the overlord shares many stories about demons with you... and little by little, you realize they might not be the ruthless monsters you were raised to believe."
    m chat2 "as it turns out, she commanded her demons to avoid towns and villages."
    m "she didn't want to risk giving the humans any excuse to send a hero out after them."
    m chat3 "you realize that must be why you'd never heard of any demons attacking your town."
    m "you express your gratitude to the overlord on behalf of your village."
    m chat4 "she says you can thank her by telling the humans to stop raising heroes. she's tired of her servants getting killed off by them."
    m chat5 "you've always thought demons were violent and unreasonable creatures, but... it seems the overlord could say the same of humans."
    m "you may be different, but really they're just trying to live their lives the same as you. you feel like you're starting to understand things a lot better!"
    show maiden chat6
    o "\"but maybe everything i've said was to deceive you and the other humans. what would you do if i turned out to be super evil all along?\""
    m chat7 "even if she were to capture you now, you think this place is far more interesting than the way things are back home."
    m "you kind of like not being told to expect demons to come after you all the time. you feel... free."
    m chat8 "honestly, you've always kept to yourself, but spending time with this overlord has been very nice! you feel butterflies in your stomach."

    if "slayer" in herobehavior:
        #edit: this is where maiden would be nervous to hear the hero's battle noises and the overlord reassuring her...
        stop music fadeout 1.0
        m genocide "but then, a hero barges into the room."
        play music "music/maiden fear.ogg"
        show screen cuemusic("note maiden_idle", _("MAIDEN fear"))
        m genocide2 "his clothes are stained by a dark liquid. it's dripping from his weapon, too..."
        m "you realize it must be demon blood. something horrible has happened."
        if "coup" in herobehavior:
            show maiden sword2
            jump maidenpart4
        else:
            jump maidenpart3

    if "coup" in herobehavior:
        stop music fadeout 2.0
        m entrance "as you think that, a hero enters the room."
        show maiden sword
        play music "music/maiden fear.ogg"
        show screen cuemusic("note maiden_idle", _("MAIDEN fear"))
        jump maidenpart4

    play music "music/maiden song.ogg" fadeout 1.0
    show screen cuemusic("note maiden_idle", _("MAIDEN song"), delay=1)
    m entrance "as you think that, a hero enters the room."
    m "you're surprised to see him at first, until you realize he must have been sent to retrieve you."
    jump maidenpart3

label maidenandhero:
    m mh "along the way, you encounter a hero."
    if "slayer" in herobehavior:
        m levelgrind "he's covered in demon blood! you are frightened by the sight of him and run away."
        jump executedmaiden
    m mh2 "he asks you what you're doing. don't you know the overlord's castle is like, right there?"
    m polite "you explain everything that happened."
    if "trusting" not in herobehavior:
        m distrust "the hero seems to think you're lying to him. he asks if you've been brainwashed by the demons. what nerve!"
        m distrust2 "you are very upset that this so-called hero would treat you this way, and leave in a huff."
        jump executedmaiden
    m trusting "he is very surprised that demons don't seem to be as malicious as you were raised to believe."
    m trusting2 "the two of you return to the village, hoping to communicate this to everyone."
    m return1 "they had all been so worried and are very glad that the hero brought you back!"
    m return2 "you quickly set the record straight; you weren't rescued, because there was nothing to be rescued from in the first place!"
    m return3 "the villagers seem confused and look to the hero for an explanation."
    m "he tells them he only ran into you on his way to the castle, and that this isn't really his story to tell."
    m return4 "you explain to them how you met the overlord, and that she's not actually interested in capturing maidens or other mean things like that."
    m return5 "the villagers look again to the hero for confirmation. you feel a little miffed that they seem to prefer his word over yours, but you don't say anything about it."
    m return6 "the hero proclaims that he believes your story, but volunteers to go talk to the demons himself. just to make absolutely sure."
    play music "music/maiden fear.ogg" fadeout 1.0
    show screen cuemusic("note maiden_idle", _("MAIDEN fear"), delay=1)
    m return7 "the crowd breaks into hushed whispers. you hear words like \"trickery\" and \"demon sympathizer\" being thrown around, which makes you frown."
    m return8 "you're pretty shocked that everyone's this hesitant to believe you."
    m "does the hero even trust you? you aren't sure anymore..."
    m return9 "an old man implores the hero to go speak with the overlord immediately."
    m "he says you should be held prisoner, and considered dangerous until the hero returns."
    m return10 "much to your disbelief, the crowd agrees with him."
    m "because of course... if you were conspiring with the demons, they can't afford to let their guard down. the whole village would be slaughtered by \"monsters\"..."
    m return10a "the hero isn't saying anything... you'll be tied up and tossed into a cell at this rate!"
    m return11 "if you're going to be held captive by anyone, it's going to be the overlord! not your fellow countrymen!"
    $ persistent.resolute = True
    menu:
        "GRAB THE HERO AND RUN" (behavior=_("resolute")):
            $ maidenbehavior.append("resolute")
            m resolute "you boldly announce that you'll accompany the hero to prove yourself! you'd rather risk what's out there instead of staying in a village that doesn't trust you."
            m resolute2 "no one seems to know how to react. you grab the hero by the wrist and take off before anyone stops you."
            jump maidenandhero2
        "LEAVE ON YOUR OWN" (doom=True):
            m leave "you can prove yourself without anyone's help!"
            m "you make a run for the overlord's castle, leaving the hero behind..."
            if "disloyal" in underlingbehavior:
                jump maidenandunderling
            else:
                m leave2 "but as you get closer, you start to notice a tower of black smoke darkening the beautiful blue sky."
                m leave3 "the castle is engulfed in flames! what in god's name could've happened?"
                jump selflessmaiden

label maidenandunderling:
    m disloyal "a suspicious group of demons stands just outside the entrance."
    m "they're talking about assassinating the overlord...!"
    if "captor" in underlingbehavior:
        play music "music/maiden demise.ogg" fadeout 1.0
        show screen cuemusic("note maiden_idle", _("MAIDEN demise"), delay=1)
        m captor "they immediately notice you overheard them, and decide to lock you in the dungeon before you can cause any trouble."
        m captor2 "you cry out, but the demons ignore your protests."
        m "you can't believe you escaped possibly being thrown in a cell back in your village, only to be tossed in this awful place!"
        m captor3 "this is terrible... who's going to keep those demons from harming the overlord?"
        m "you hope she can fend for herself. you sure can't."
        m captor4 "you hear the sounds of battle echoing through the halls outside. did the hero follow you...?"
        m "if he's out there, your cries don't reach him."
        m captor5 "after a while, the violence seems to die down... it's impossible to tell what's happened."
        m captor5 "you continue to wait, but no one comes for you."
        show dim at lightsout
        m "unable to escape, you rot in that cell."
        stop music fadeout 1.0
        show curtains maiden
        pause 1
        play music "music/maiden requiem.ogg"
        show screen cuemusic("note maiden_idle", _("MAIDEN requiem"))
        if not persistent.imprisonedmaiden:
            $ persistent.maidenends_seen += 1
            $ persistent.endings_seen += 1
        $ persistent.imprisonedmaiden = True
        $ achievement.grant("IMPRISONED_MAIDEN")
        "IMPRISONED MAIDEN END"
        jump tryagain
    else:
        play music "music/underling song.ogg" fadeout 1.0
        show screen cuemusic("note underling_idle", _("UNDERLING song"), delay=1)
        m captor "they immediately notice you overheard them. the underling you recognize from before is the first to do something about it."
        show maiden slaughtered
        u "\"this is just the way it has to be!\""
        m slaughtered2 "they suddenly attack you. in that moment, you regret having ever trusted the demons."
        stop music fadeout .2
        show dim at cgresize
        m "you die instantly."
        show curtains maiden
        play music "music/maiden requiem.ogg"
        show screen cuemusic("note maiden_idle", _("MAIDEN requiem"))
        if not persistent.slaughteredmaiden:
            $ persistent.maidenends_seen += 1
            $ persistent.endings_seen += 1
        $ persistent.slaughteredmaiden = True
        $ achievement.grant("SLAUGHTERED_MAIDEN")
        "SLAUGHTERED MAIDEN END"
        jump tryagain

label executedmaiden:
    m executed "you return to the village alone. everyone was very worried about you!"
    m return4 "they surround you with a thousand questions, and you tell them your story."
    m return4 "as you explain that the overlord never had any intentions to harm anyone here, you notice the looks of uncertainty in the crowd."
    play music "music/maiden fear.ogg" fadeout 1.0
    show screen cuemusic("note maiden_idle", _("MAIDEN fear"), delay=1)
    m return7 "people are whispering things to each other while you speak to them."
    m return9 "you are loudly interrupted by an older man. he rudely calls you a demon sympathizer."
    m return10 "the crowd is growing unruly."
    m "you don't understand... you've only told them the truth. do they not believe you?"
    m "everyone begins speculating what must have actually happened. they weave elaborate lies and ask you to prove your innocence."
    m executed2 "how could you have returned without the aid of a hero, they ask. you could not have possibly escaped the overlord on your own without harm."
    m "you must be conspiring with the demons, trying to trick everyone into believing they aren't the horrible creatures we know them to be. so they say."
    m executed3 "have the people of your village always been this blinded by their fears and hatred of things they've never cared to know?"
    m "you wonder how you missed that before."
    play music "music/maiden demise.ogg" fadeout 1.0
    show screen cuemusic("note maiden_idle", _("MAIDEN demise"), delay=1)
    m executed4 "you are seized by the crowd, and voices from all sides are calling for public execution. you are to be burned at the stake."
    m executed5 "you don't want to die."
    m executed6 "you wonder, would it have been better to hide the truth? you don't like the thought of that."
    m "you have always lived honestly... so why has this happened? why are you being punished?"
    m executed7 "you hear the dissenting voices of your family and neighbors. but they, like you, are powerless against the momentum."
    m executed8 "they can only watch as you burn, and you can only cry for them."
    show dim at lightsout
    m "you are so, so sorry."
    stop music fadeout 1.0
    show curtains maiden
    pause 1
    play music "music/maiden requiem.ogg"
    show screen cuemusic("note maiden_idle", _("MAIDEN requiem"))
    if not persistent.executedmaiden:
        $ persistent.maidenends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.executedmaiden = True
    $ achievement.grant("EXECUTED_MAIDEN")
    "EXECUTED MAIDEN END"
    jump tryagain

label maidenpart3:

    if "slayer" in herobehavior:
        show maiden genocide3
    else:
        show maiden entrance2
    m "confused, the hero asks you what's going on."
    if "slayer" in herobehavior:
        show maiden genocide4
    else:
        show maiden entrance3
    m "you explain the situation, reassuring him that you were never in any danger."

    if "slayer" in herobehavior:
        m genocide5 "the overlord has walked past the hero and out into the hall. she's wailing."
        if "coup" not in herobehavior:
            m complacent6 "you can only guess what kind of horrible scene he's left for her."
            m possessive4 "the overlord tears the hero apart in retaliation. you watch silently, unable to scream."
            m "the overlord, who you had just been getting along with so well... has killed another human right in front of you."
            m possessive5 "it's clear now that you had been deceived by her sweet words. demons are ruthless monsters after all."
            if "possessive" in overlordbehavior:
                jump possessedmaiden2
            else:
                m possessive12 "you somehow manage to slip past the overlord and make it out of the blood-soaked castle."
                show dim at lightsout
                m "you never look back."
                stop music fadeout 1.0
                show curtains maiden
                pause 1
                play music "music/maiden requiem.ogg"
                show screen cuemusic("note maiden_idle", _("MAIDEN requiem"))
                if not persistent.escapedmaiden:
                    $ persistent.maidenends_seen += 1
                    $ persistent.endings_seen += 1
                $ persistent.escapedmaiden = True
                $ achievement.grant("ESCAPED_MAIDEN")
                "ESCAPED MAIDEN END A"
                jump tryagain

    jump maidenpart5

label maidenpart4:
    m "the hero suddenly dashes toward the overlord, sword drawn."
    $ persistent.martyr = True
    menu:
        "PROTECT HER" (behavior=_("martyr")):
            play music "music/maiden demise.ogg" fadeout 1.0
            show screen cuemusic("note maiden_idle", _("MAIDEN demise"), delay=1)
            $ maidenbehavior.append("martyr")
            m martyr "you selflessly throw yourself in front of the hero's blade, acting as a shield."
            m martyr2 "it's funny, you think. you never could've imagined this would be the way that you die."
            m "the roles are all switched around... but it feels right to you somehow."
            m "you are glad your destiny turned out to be saving someone rather than being saved yourself."
            show dim at lightsout
            m "as your vision fades, you hope that everything turns out alright for your new friend..."
            stop music fadeout 1.0
            show curtains maiden
            pause 1
            play music "music/maiden requiem.ogg"
            show screen cuemusic("note maiden_idle", _("MAIDEN requiem"))
            if not persistent.sacrificialmaiden:
                $ persistent.maidenends_seen += 1
                $ persistent.endings_seen += 1
            $ persistent.sacrificialmaiden = True
            $ achievement.grant("SACRIFICIAL_MAIDEN")
            "SACRIFICIAL MAIDEN END"
            jump tryagain

        "DO NOTHING" (doom=True):
            play music "music/maiden demise.ogg" fadeout 1.0
            show screen cuemusic("note maiden_idle", _("MAIDEN demise"), delay=1)
            m complacent "the hero's blade pierces the overlord, and she lets out a horrible scream. you flinch."
            m "the overlord is slain."
            m complacent2 "the hero smiles and holds out his hand to you, saying it's time to go home."
            m complacent3 "his glove is drenched in blood."
            m complacent4 "hesitantly, you take his hand."
            m complacent5 "the hero guides you through the castle, past the corpses of his enemies."
            m complacent5b "you try to keep your eyes at your feet."
            m complacent6 "there's blood everywhere. you shut your eyes, but even then, you can't escape the smell."
            m complacent7 "all of this... was because of you, wasn't it?"
            m complacent8 "you exit the castle, and the hero leads you back to the village."
            show dim at lightsout
            m "everyone celebrates the hero's great triumph over the demons. you feel sick... but you take part in the festivities regardless."
            stop music fadeout 1.0
            show curtains maiden
            pause 1
            play music "music/maiden requiem.ogg"
            show screen cuemusic("note maiden_idle", _("MAIDEN requiem"))
            if not persistent.complacentmaiden:
                $ persistent.maidenends_seen += 1
                $ persistent.endings_seen += 1
            $ persistent.complacentmaiden = True
            $ achievement.grant("COMPLACENT_MAIDEN")
            "COMPLACENT MAIDEN END"
            jump tryagain

label maidenpart5:
    m entrance4 "the hero expresses his relief that this whole misunderstanding hadn't led to any horrible consequences."
    m "you apologize for causing trouble... but really, didn't anyone read the note you left? jeez."
    m entrance5 "the hero asks if you'll return to the village with him to give everyone the news of your safety."
    if "possessive" in overlordbehavior:
        jump possessedmaiden

    #the non-yandere overlord route
    m bye "the overlord allows the two of you to leave, and you give her a little wave as you exit the room."
    m "you'll be back soon!"
    if "disloyal" not in underlingbehavior:
        jump maidenandhero3
    else:
        jump maidenandhero2

label possessedmaiden:
    play music "music/maiden fear.ogg" fadeout .2
    show screen cuemusic("note maiden_idle", _("MAIDEN fear"), delay=.2)
    m possessive1 "but the overlord objects to the hero's suggestion."
    m "you tell her you plan on returning soon, but she isn't having it."
    m possessive2 "you feel nervous. the hero puts on a brave face for you."
    h "\"if you won't let her go... maybe you demons are evil after all. and if you are, i'll be forced to vanquish you.\""
    show maiden possessive3
    o "\"...you leave me no choice.\""
    m possessive4 "the overlord suddenly jumps the hero. she tears into him with her claws."
    m possessive5 "you want to cry out, but the scream catches in your throat. you watch, because you can't look away."
    m "had she really been lying to you all along? you wonder, is this your punishment for questioning the divine plan?"
label possessedmaiden2:
    m possessive6 "the overlord approaches you now. you back yourself into a corner."
    m possessive7 "her expression is complicated."
    m "being captured by the overlord in a horrible way like this... was your destiny after all."
    if "disloyal" in underlingbehavior:
        m possessive8 "but the overlord stops. or rather, someone has stopped her..."
        m "whatever held back your scream before doesn't stop you this time."
        play music "music/maiden demise.ogg" fadeout 1.0
        show screen cuemusic("note maiden_idle", _("MAIDEN demise"), delay=1)
        m possessive9 "the overlord is being ripped to shreds by one of her demon underlings. you think you recognize them, but it's hard to tell with all the blood."
        m possessive10 "everyone's stopped moving now. the room is silent, save for the underling's heavy breathing."
        m "you thank them for what they've done. even though it was awful... you feel you've been rescued from a terrible fate."
        m possessive11 "they look at you, confused for a moment, but then puff out their chest."
        u "\"you should probably go home! this place is dangerous.\""
        m possessive12 "you follow their advice and make your way out of the castle..."
        show dim at lightsout
        m "you decide never to leave home again for the rest of your life."
        stop music fadeout 1.0
        show curtains maiden
        pause 1
        play music "music/maiden requiem.ogg"
        show screen cuemusic("note maiden_idle", _("MAIDEN requiem"))
        if not persistent.escapedmaiden:
            $ persistent.maidenends_seen += 1
            $ persistent.endings_seen += 1
        $ persistent.escapedmaiden = True
        $ achievement.grant("ESCAPED_MAIDEN")
        "ESCAPED MAIDEN END B"
        jump tryagain

    m "she vows to keep you very safe from now on."
    m "you're afraid to find out what that means... but there's no one left to save you."
    show dim at lightsout
    m "you belong to the overlord now."
    stop music fadeout 1.0
    show curtains maiden
    pause 1
    play music "music/maiden requiem.ogg"
    show screen cuemusic("note maiden_idle", _("MAIDEN requiem"))
    if not persistent.capturedmaiden:
        $ persistent.maidenends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.capturedmaiden = True
    $ achievement.grant("CAPTURED_MAIDEN")

    if "slayer" in herobehavior:
        "CAPTURED MAIDEN END B" #overlord suddenly kills hero and keeps you
    else:
        "CAPTURED MAIDEN END A" #overlord keeps you in response to hero's actions
    jump tryagain

label maidenandhero2:
    if "disloyal" in underlingbehavior:
        stop music fadeout 1.5
        m disloyal "near the castle's entrance, you spy a group of suspicious demons congregating."
        if "demonplot" not in persistent.endmap_flags:
            $ persistent.endmap_flags.append("demonplot")
        play music insurrection
        show screen cuemusic("note overlord_idle", _("insurrection"))
        m climax "they're talking about assassinating the overlord! you have to warn her!!"
        m climax2 "but the hero shakes his head. he says that if this is the true nature of demons, the world is better off with less of them."
        m climax3 "this isn't right, you think. what kind of hero passes up the chance to save a life?"
        m climax4 "the demons have taken notice of you."
        m "it's now or never! you take off into the castle, and the unreliable hero follows shortly after."
        jump maidenpart6
    #coming back from the village
    m leave2 "but as you approach the castle you notice something's gone terribly wrong. it appears to be on fire!"
    m leave3 "is the overlord alright? you have to be sure everyone is safe."
    m concern3 "you've already taken off before the hero can even think of stopping you."
    jump selflessmaiden

label maidenandhero3:
    play music "music/maiden fear.ogg" fadeout 1.0
    show screen cuemusic("note maiden_idle", _("MAIDEN fear"), delay=1)
    m concern "you're about halfway back to the village when you feel something is... off."
    m concern2 "unable to shake your concern, you look back over your shoulder."
    m leave2 "you stop in your tracks. the castle is engulfed in flames."
    m leave3 "is the overlord alright? you can't return to the village like this. you have to know."
    m "you have to be sure everyone is safe."
    m concern3 "you've already taken off before the hero can even think of stopping you."
    $ altend = True
label selflessmaiden:
    m selfless "you scan the fleeing demons, but the overlord isn't among them."
    m selfless2 "against your better judgement, you rush into the burning castle to find her."
    m selfless3 "you quickly reach the overlord's room, but the door is shut tight. the handle is too hot to touch."
    play music "music/maiden demise.ogg" fadeout 1.0
    show screen cuemusic("note maiden_idle", _("MAIDEN demise"), delay=1)
    m selfless4 "you're too weak to force it open... you pound your fists against the door helplessly."
    m selfless5 "what were you thinking? this is all because you'd forgotten your role. only a hero could pull this kind of thing off."
    m selfless6 "you start to cough."
    m "the smoke is too thick... you can hardly breathe."
    m selfless7 "you realize you haven't got much time left now. you desperately head toward the stairs to save yourself..."
    m selfless8 "...but the fire spread faster than you expected. you won't make it outside."
    m selfless9 "you can't help but laugh. what a joke! a maiden, saving the overlord?"
    m "if you'd just stayed true to your role, things wouldn't have ended like this."
    m selfless10 "this is exactly the kind of punishment you deserve."
    show dim at lightsout
    m "you let the demon fire cleanse your rotten soul."
    stop music fadeout 1.0
    show curtains maiden
    pause 1
    play music "music/maiden requiem.ogg"
    show screen cuemusic("note maiden_idle", _("MAIDEN requiem"))
    if not persistent.selflessmaiden:
        $ persistent.maidenends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.selflessmaiden = True
    $ achievement.grant("SELFLESS_MAIDEN")
    if altend:
        "SELFLESS MAIDEN END B" #returning from village (with or without hero)
    else:
        "SELFLESS MAIDEN END A" #leaving castle with hero
    jump tryagain

label maidenpart6:
    $ persistent.spoilers = True
    m climax5 "you burst into the overlord's room, all your words spilling out at once. you should probably slow down, but there's no time!"
    m climax6 "the overlord seems to have followed your frantic explanation, but clearly doesn't understand the urgency of the situation."
    m climax7 "the underling you recognize from before barges in, calling you a liar."
    m "you're surprised they were a part of this evil plot! they seemed so nice...."
    m climax8 "the other demons come in right after them, saying the whole thing was the first underling's idea."
    m climax9 "everyone's shouting at each other now. it's really stressing you out."
    m climax10 "you are relieved when the overlord demands silence."
    m climax11 "she threatens them with violence, and you think she is very overlord-like in this moment."
    m climax12 "the group of demons hiss to each other before shutting the door, leaving the little one behind."
    m climax12b "you watch as it pounds on the door in distress."
    m climax13 "have they locked you all in? you have a bad feeling about this..."
    m climax14 "...and thinking that must've jinxed it, because now the room is engulfed in flames."
    m climax15 "if only you had ignored those demons before... you and the hero wouldn't have stumbled into this situation."
    m "if you had just pretended not to hear them, if you left as you were told... only the overlord would have been killed."
    m climax16 "but you couldn't have done that. that path... isn't an option for you."
    m "you think that no matter what, you'll always strive for the path where everyone survives. it must exist, it simply must."
    m climax17 "the overlord seizes her underling. they beg for their life."
    m climax18 "you pray. you don't know what else to do, so you just... pray."
    if "merciful" in overlordbehavior:
        m merciful "the overlord spares the underling."
        m "you feel relieved, but... does it make any difference?"
        m merciful2 "will you all burn together...?"
        stop music fadeout 3.0
        show dim at lightsout
        pause 1
        show curtains maiden
        pause 1
        if not persistent.truemaiden:
            $ persistent.maidenends_seen += 1
            $ persistent.endings_seen += 1
        $ persistent.truemaiden = True
        $ achievement.grant("TRUE_MAIDEN")
        "MAIDEN'S TRUE END"
        if not persistent.unlockedyou:
            if persistent.maidenends_seen==11 and not persistent.passage2:
                call maidenletter from _call_maidenletter_1
            jump yourturn
        jump tryagain
    else:
        m retribution "the overlord's claws pierce the underling's chest. they scream an awful scream."
        m retribution2 "she digs and twists her claws into the poor thing while you continue to pray..."
        m retribution3 "but there's no saving any of you now."
        m "you, the overlord, the hero, and the underling's corpse, are consumed by flames."
        stop music fadeout 3.0
        show dim at lightsout
        pause 1
        show curtains maiden
        pause 1
        play music "music/maiden requiem.ogg"
        show screen cuemusic("note maiden_idle", _("MAIDEN requiem"))
        if not persistent.devoutmaiden:
            $ persistent.maidenends_seen += 1
            $ persistent.endings_seen += 1
        $ persistent.devoutmaiden = True
        $ achievement.grant("DEVOUT_MAIDEN")
        "DEVOUT MAIDEN END"
        jump tryagain
