label tutorial:
    stop music fadeout 3.0

    scene black
    scene stage select
    show curtains stageclosed
    with Fade(1,2,.5)

    $ tutorialbehavior = []
    $ _history_list = []
    $ tutorial_freeplay = False
    $ tutorial_round1 = True

    play music "music/your song.ogg"
    show screen cuemusic("note tragedy_idle", _("YOUR song"))

    if persistent.tutorial:
        $ quick_menu = True
        show screen skiptut

    y "welcome to BAD END THEATER! on this stage, we shall be toying with fate!"
    y "you will make many choices, unlocking darker and darker paths! all in order to witness a lovely variety of tragic events..."
    y "but first, allow me to explain how it works."

label yourtutorial:
    show you tutorial1 at tutresize behind curtains
    show curtains stage
    y "to begin the tutorial, select whichever doll you like."
    $ quick_menu = False
    $ block()
    call screen tutorial_charselect
    pause

label yourtutorial2:
    $ tutorial_round1 = False
    y "you found your very first bad ending! but don't worry, the story need not end here..."
    show curtains stageshut
    y "let's reset the stage and try again."
    show you tutorial1 at tutresize
    show curtains stage
    y "this time, try controlling the other doll."

label yourtutorial3:
    $ quick_menu = False
    $ block()
    call screen tutorial_charselect
    pause

label yourtutorial4:
    y "why, this isn't a bad ending at all... i should've written out this possibility. it's just not suited to my theater whatsoever."
    jump yourtutorial_end

label yourtutorial5a:
    y "this is all because you chose to play nice in the first round. are the mechanics becoming clear?"
    jump yourtutorial_end
label yourtutorial5b:
    y "this is all because you chose to attack in the first round. are the mechanics becoming clear?"
    jump yourtutorial_end

label yourtutorial6:
    if youare == "demon":
        show you tutorial4b
    else:
        show you tutorial4
    y "you both attack each other at once, and achieve the worst possible outcome."
    y "what an excellent bad ending, made possible by your decisions! you'll do well in this theater."
    jump yourtutorial_end

label yourtutorial_end:
    show curtains stageshut
    y "now that you know how the story goes, you can set the dolls' behavior in advance."
    y "as you just saw, these behaviors will automatically be set to what you chose during your last playthrough..."
    y "but now you can turn each one on or off without having to replay from that doll's perspective. yes, my theater actually doubles as a puzzle game!"
    y "now, try turning the dolls' behaviors on and off to see the different outcomes!"

    $ tutorial_freeplay = True

label tutorial_start:
    $ quick_menu = False
    scene stage select
    show curtains stage
    pause .3
    $ block()
    call screen tutorial_charselect
    pause
    return

label tutorial_human:
    $ quick_menu = True
    if not tutorial_freeplay:
        if tutorial_round1:
            $ youare = "human"
        else:
            if youare == "human":
                y "go ahead and try playing as the demon doll this time."
                jump yourtutorial3
    show you tutorial1a at tutresize behind curtains
    $ youare = "human"
    y "you control the human doll. you're a friendly little guy, just minding your own business."
    y "how will you interact with the demon doll?"
    menu:
        "ATTACK IT" (behavior=_("hostile")):
            $ tutorialbehavior.append("hostile")
            if "wicked" in tutorialbehavior:
                if tutorial_freeplay:
                    y tutorial4 "you both attack each other at once, and die together..."
                else:
                    jump yourtutorial6
            else:
                if not tutorial_freeplay:
                    if not tutorial_round1:
                        y tutorial2 "you kill the demon doll this time... and it doesn't resist."
                        jump yourtutorial5a
                y tutorial2 "you kill the demon doll in cold blood! how ruthless!"
                if not tutorial_freeplay:
                    jump yourtutorial2
        "PLAY NICE":
            if not tutorial_freeplay:
                if tutorial_round1:
                    $ tutorialbehavior = ["wicked"]
            if "hostile" in tutorialbehavior:
                $ tutorialbehavior.remove("hostile")
            if "wicked" in tutorialbehavior:
                if tutorial_freeplay:
                    y tutorial3 "you try to make friends with the demon doll, but it kills you..."
                else:
                    if tutorial_round1:
                        y tutorial3 "you try to make friends with the demon doll, but it kills you in cold blood! how ruthless!"
                        jump yourtutorial2
                    else:
                        y tutorial3 "you try to be friends this time, but the demon attacks and kills you!"
                        jump yourtutorial5b
            else:
                y tutorial5 "you and the demon doll are able to set aside your differences and become friends!"
                if not tutorial_freeplay:
                    jump yourtutorial4
    jump tutorial_reset

label tutorial_demon:
    $ quick_menu = True
    if not tutorial_freeplay:
        if tutorial_round1:
            $ youare = "demon"
        else:
            if youare == "demon":
                y "go ahead and try playing as the human doll this time."
                jump yourtutorial3
    show you tutorial1b at tutresize behind curtains
    $ youare = "demon"
    y "you control the demon doll. you're a fierce-looking guy, just minding your own business."
    y "how will you interact with the human doll?"
    menu:
        "ATTACK IT" (behavior=_("wicked")):
            $ tutorialbehavior.append("wicked")
            if "hostile" in tutorialbehavior:
                if tutorial_freeplay:
                    y tutorial4b "you both attack each other at once, and die together..."
                else:
                    jump yourtutorial6
            else:
                if not tutorial_freeplay:
                    if not tutorial_round1:
                        y tutorial3b "you kill the human doll this time... and it doesn't resist."
                        jump yourtutorial5a
                y tutorial3b "you kill the human doll in cold blood! how ruthless!"
                if not tutorial_freeplay:
                    jump yourtutorial2
        "PLAY NICE":
            if not tutorial_freeplay:
                if tutorial_round1:
                    $ tutorialbehavior = ["hostile"]
            if "wicked" in tutorialbehavior:
                $ tutorialbehavior.remove("wicked")
            if "hostile" in tutorialbehavior:
                if tutorial_freeplay:
                    y tutorial2b "you try to make friends with the human doll, but it kills you..."
                else:
                    if tutorial_round1:
                        y tutorial2b "you try to make friends with the human doll, but it kills you in cold blood! how ruthless!"
                        jump yourtutorial2
                    else:
                        y tutorial2b "you try to be friends this time, but the human attacks and kills you!"
                        jump yourtutorial5b
            else:
                y tutorial5 "you and the human doll are able to set aside your differences and become friends!"
                if not tutorial_freeplay:
                    jump yourtutorial4
    jump tutorial_reset

label tutorial_reset:
    show curtains stageshut
    "END TUTORIAL"
    $ quick_menu = False
    $ _history_list = []
    menu:
        "RESET THE STAGE":
            jump tutorial_start
        "I'M DONE":
            if persistent.tutorial:
                jump selectpaths
            else:
                jump tutorial_end

label tutorial_end:
    y "do you understand how to play?"

    menu:
        "YEAH, I GET IT!":
            stop music fadeout 3.0
            show curtains stageclosed
            y "this game saves your progress automatically, so just relax and collect all the bad endings at your own pace!"
            y "now, without further ado... let's start the show!"
            $ achievement.grant("TUTORIAL_COMPLETE")
            $ persistent.tutorial = True
        "EXPLAIN FROM THE BEGINNING":
            $ tutorial_freeplay = False
            $ tutorial_round1 = True
            jump yourtutorial

    jump gamestart
