##TRANSFORMS+IMAGES

transform cgresize:
    align (.5,0)
    zoom 3.6
transform tutresize:
    align (.5,0)
    zoom 4.0
transform resize:
    zoom 4.0
transform ribbonresize:
    zoom 3.0

image light = Solid("#fff")
image light2 = Solid("#ddd")
image gray = Solid("#aaa")
image darken = Solid("#000c")
image dim = "images/stagelight1.png"
transform lightson:
    alpha 0
    linear 1.5 alpha 1
transform lightsout:
    align (.5,0)
    zoom 3.6
    alpha 0
    linear 1.0 alpha 1.0

image tut_idle:
    "images/screens/tut_idle.png"
    zoom 2.0
image tut_hover:
    "images/screens/tut_hover.png"
    zoom 2.0
image charselect_idle:
    "images/screens/charselect_idle.png"
    zoom 2.0
image charselect_hover:
    "images/screens/charselect_hover.png"
    zoom 2.0
image charselect2_idle:
    "charselect_idle"
    xzoom -1.0
image charselect2_hover:
    "charselect_hover"
    xzoom -1.0
image badend_idle:
    "images/screens/badend_idle.png"
    zoom 2.0
image badend_hover:
    "images/screens/badend_hover.png"
    zoom 2.0
image exit_idle:
    "images/screens/exit_idle.png"
    zoom 2.0
image exit_hover:
    "images/screens/exit_hover.png"
    zoom 2.0
image yourturn_idle:
    "images/screens/yourturn_idle.png"
    zoom 2.0
image yourturn_hover:
    "images/screens/yourturn_hover.png"
    zoom 2.0
transform arrow_point:
    zoom 2.0
    parallel:
        alpha 0
        linear .5 alpha 1.0
    parallel:
        xoffset -20
        easein .4 xoffset 0
        easeout .4 xoffset -20
        repeat
image random insensitive:
    "random idle"
    alpha .3

image humansprite selected_idle = "humansprite hover"
image demonsprite selected_idle = "demonsprite hover"

image herosprite selected_idle = "herosprite hover"
image maidensprite selected_idle = "maidensprite hover"
image underlingsprite selected_idle = "underlingsprite hover"
image overlordsprite selected_idle = "overlordsprite hover"

image yoursprite selected_idle = "yoursprite hover"
image herospriteb selected_idle = "herospriteb hover"
image maidenspriteb selected_idle = "maidenspriteb hover"
image underlingspriteb selected_idle = "underlingspriteb hover"
image overlordspriteb selected_idle = "overlordspriteb hover"

image endmap ending0_selected_idle = "endmap ending0_hover"

transform actor_enter:
    anchor (.5,.5)
    alpha 0 zoom 3.6
    easein .3 alpha 1.0 zoom 4.0

transform actor_exit:
    yalign 0 zoom 4.0

image stagelight:
    "stagelight1"
    pause .06
    "stagelight2"
    pause .06
    "stagelight3"
    pause .06
    "stagelight4"
    pause .04
    "stagelight5"
    pause .04
    "stagelight6"
    pause .04
    alpha 0
transform stagelight_reveal:
    alpha 1.0
    on hide:
        pause .44
        alpha 0

transform heropos:
    xpos 290
transform maidenpos:
    xpos 467
transform underlingpos:
    xpos 644
transform overlordpos:
    xpos 815
transform yourpos:
    xpos 554
    ypos -20

image herosprite walk:
    "herosprite walk1"
    pause .1
    "herosprite walk2"
    pause .1
    "herosprite walk3"
    pause .1
    "herosprite walk2"
    pause .1
    repeat
image herosprite exitleft:
    "herosprite walk"
    xoffset 0
    easein 2.0 xoffset -160
image herosprite pose:
    "herosprite pose1"
    pause .1
    "herosprite pose2"
    pause .1
    "herosprite pose3"

image maidensprite walk:
    "maidensprite walk1"
    pause .1
    "maidensprite walk2"
    pause .1
    "maidensprite walk3"
    pause .1
    "maidensprite walk2"
    pause .1
    repeat
image maidensprite exitleft:
    "maidensprite walk"
    xoffset 0
    easein 2.0 xoffset -160
image maidensprite pose:
    "maidensprite pose1"
    pause .1
    "maidensprite pose2"
    pause .1
    "maidensprite pose3"

image underlingsprite walk:
    "underlingsprite walk1"
    pause .1
    "underlingsprite walk2"
    pause .1
    "underlingsprite walk3"
    pause .1
    "underlingsprite walk2"
    pause .1
    repeat
image underlingsprite exitleft:
    "underlingsprite walk"
    xoffset 0 xzoom -1.0
    easein 2.0 xoffset -160
image underlingsprite exitright:
    "underlingsprite walk"
    xoffset 0
    easein 2.0 xoffset 160
image underlingsprite pose:
    "underlingsprite pose1"
    pause .1
    "underlingsprite pose2"
    pause .1
    "underlingsprite pose3"

image overlordsprite walk:
    "overlordsprite walk1"
    pause .1
    "overlordsprite walk2"
    pause .1
    "overlordsprite walk3"
    pause .1
    "overlordsprite walk2"
    pause .1
    repeat
image overlordsprite exitright:
    "overlordsprite walk"
    xoffset 0
    easein 2.0 xoffset 160
image overlordsprite pose:
    "overlordsprite pose1"
    pause .1
    "overlordsprite pose2"
    pause .1
    "overlordsprite pose3"

image herosprite burnt:
    "herospriteb idle"
image maidensprite burnt:
    "maidenspriteb idle"
image underlingsprite burnt:
    "underlingspriteb idle"
image overlordsprite burnt:
    "overlordspriteb idle"

image yoursprite pose:
    "yoursprite pose1"
    pause .1
    "yoursprite pose2"
    pause .06
    "yoursprite pose3"

transform tragedyattack:
    #pos (640,360)
    align (.5,.5)
    zoom 1.0
    yoffset -100
    anchor (.5,.5)
    easeout .75 zoom 3.6

transform tragedyhit:
    alpha 1.0
    pause .12
    alpha 0
    pause .12
    alpha 1.0
    linear .2 alpha 0

image curtains hero:
    yalign 0
    contains:
        "curtains1"
        xalign 0
        xoffset -360
        linear 1.0 xoffset 0
    contains:
        "curtains1"
        xalign 1.0
        xoffset 360
        linear 1.0 xoffset 0
image curtains maiden:
    yalign 0
    contains:
        "curtains2"
        xalign 0
        xoffset -360
        linear 1.0 xoffset 0
    contains:
        "curtains2"
        xalign 1.0
        xoffset 360
        linear 1.0 xoffset 0
image curtains underling:
    yalign 0
    contains:
        "curtains3"
        xalign 0
        xoffset -360
        linear 1.0 xoffset 0
    contains:
        "curtains3"
        xalign 1.0
        xoffset 360
        linear 1.0 xoffset 0
image curtains overlord:
    yalign 0
    contains:
        "curtains4"
        xalign 0
        xoffset -360
        linear 1.0 xoffset 0
    contains:
        "curtains4"
        xalign 1.0
        xoffset 360
        linear 1.0 xoffset 0
image curtains stage:
    yalign 0
    contains:
        "curtains5"
        xalign 0
        xoffset 0
        easein .3 xoffset -360
    contains:
        "curtains5"
        xalign 1.0
        xoffset 0
        easein .3 xoffset 360
image curtains stageopen:
    yalign 0
    contains:
        "curtains5"
        xalign 0
        xoffset -360
    contains:
        "curtains5"
        xalign 1.0
        xoffset 360
image curtains stageclosed:
    yalign 0
    contains:
        "curtains5"
        xalign 0
    contains:
        "curtains5"
        xalign 1.0
image curtains stageshut:
    yalign 0
    contains:
        "curtains5"
        xalign 0
        xoffset -360
        easein .3 xoffset 0
    contains:
        "curtains5"
        xalign 1.0
        xoffset 360
        easein .3 xoffset 0

image curtains burntstage:
    yalign 0
    contains:
        "curtains6"
        xalign 0
        xoffset 0
        easein .3 xoffset -360
    contains:
        "curtains6"
        xalign 1.0
        xoffset 0
        easein .3 xoffset 360
image curtains burning:
    yalign 0
    contains:
        "curtains6"
        xalign 0
        xoffset -360
        easein .4 xoffset 0
    contains:
        "curtains6"
        xalign 1.0
        xoffset 360
        easein .4 xoffset 0

image burntstage:
    yalign 0
    contains:
        "curtains6"
        xalign 0
    contains:
        "curtains6"
        xalign 1.0

image curtains credroll:
    contains:
        "curtains7a"
        align (0,0)
        xoffset 0
        linear 2.0 xoffset -280
    contains:
        "curtains7b"
        align (1.0,0)
        xoffset 0
        linear 2.0 xoffset 280


transform actor_resize:
    anchor (.5,.5)
    zoom 4.0

transform fighter_enter:
    #anchor (.5,.5)
    #offset (640,360)
    alpha 0 #zoom .8
    easein .3 alpha 1.0 #zoom 1.0

transform party_enter:
    #anchor (.5,.5)
    #offset (640,360)
    zoom 3.0
    alpha 0 #zoom .8
    easein .3 alpha 1.0

transform depletelife:
    xpos 742
    ypos 418
    xzoom 1.0
    linear 1.0 xzoom 0
transform depletefinallife:
    xpos 742
    ypos 418
    xzoom 1.0
    linear 2.0 xzoom 0
transform lifebarpos:
    xpos 742#3#731
    ypos 418#7#353
    #offset (12,64)

image btlhero idle:
    "btlhero1"
    pause .12
    "btlhero2"
    pause .12
    "btlhero3"
    pause .12
    "btlhero4"
    pause .12
    "btlhero5"
    pause .12
    "btlhero6"
    pause .12
    "btlhero7"
    pause .12
    "btlhero8"
    pause .12
    "btlhero9"
    pause .12
    "btlhero10"
    pause .12
    "btlhero11"
    pause .12
    "btlhero12"
    pause .12
    repeat

image btlmaiden idle:
    "btlmaiden1"
    pause .16
    "btlmaiden2"
    pause .16
    "btlmaiden3"
    pause .16
    "btlmaiden4"
    pause .16
    "btlmaiden5"
    pause .16
    "btlmaiden6"
    pause .16
    "btlmaiden7"
    pause .16
    "btlmaiden8"
    pause .16
    "btlmaiden9"
    pause .16
    "btlmaiden10"
    pause .16
    "btlmaiden11"
    pause .16
    "btlmaiden12"
    pause .16
    repeat

image btlunderling idle:
    "btlunderling4"
    pause .12
    "btlunderling5"
    pause .12
    "btlunderling6"
    pause .12
    "btlunderling1"
    pause .12
    "btlunderling2"
    pause .12
    "btlunderling3"
    pause .12
    repeat

image btloverlord idle:
    "btloverlord1"
    pause .12
    "btloverlord2"
    pause .12
    "btloverlord3"
    pause .12
    "btloverlord4"
    pause .12
    "btloverlord5"
    pause .12
    "btloverlord6"
    pause .12
    "btloverlord7"
    pause .12
    "btloverlord8"
    pause .12
    "btloverlord9"
    pause .12
    "btloverlord10"
    pause .12
    "btloverlord11"
    pause .12
    "btloverlord12"
    pause .12
    "btloverlord13"
    pause .12
    "btloverlord14"
    pause .12
    repeat

image btlyou idle:
    "btlyou1"
    pause .3
    "btlyou2"
    pause .3
    repeat

image btlyou attack:
    "btlyou3"
    pause .24
    "btlyou4"
    pause .24
    repeat

image btlyou defend:
    "btlyou5"
    pause .3
    "btlyou6"
    pause .3
    repeat

image btlyou down:
    "btlyou8"
    pause .5
    "btlyou7"
    pause .5
    repeat

image tragedy battle1:
    anchor (.5,.5)
    pos (820,220)
    zoom 3.0
    parallel:
        easein .8 yoffset 0
        easein .8 yoffset 8
        repeat
    parallel:
        "tragedy_v1_1"
        pause .12
        "tragedy_v1_2"
        pause .12
        "tragedy_v1_3"
        pause .12
        "tragedy_v1_4"
        pause .12
        "tragedy_v1_5"
        pause .12
        repeat

image tragedy_v2_body:
    parallel:
        easein .6 yoffset 0
        easein .6 yoffset -6
        repeat
    parallel:
        "tragedy_v2_body1"
        pause .3
        "tragedy_v2_body2"
        pause .3
        "tragedy_v2_body3"
        pause .3
        "tragedy_v2_body4"
        pause .3
        repeat
image tragedy_v2_cape:
    parallel:
        easein .6 yoffset -6
        easein .6 yoffset 0
        repeat
    parallel:
        "tragedy_v2_cape1"
        pause .3
        "tragedy_v2_cape2"
        pause .3
        "tragedy_v2_cape3"
        pause .3
        "tragedy_v2_cape4"
        pause .3
        repeat
image tragedy_v2_ribbons_upper:
    "tragedy_v2_ribbons_upper1"
    pause .3
    "tragedy_v2_ribbons_upper2"
    pause .3
    "tragedy_v2_ribbons_upper3"
    pause .3
    "tragedy_v2_ribbons_upper4"
    pause .3
    repeat
image tragedy_v2_ribbons_lower:
    "tragedy_v2_ribbons_lower1"
    pause .3
    "tragedy_v2_ribbons_lower2"
    pause .3
    "tragedy_v2_ribbons_lower3"
    pause .3
    "tragedy_v2_ribbons_lower4"
    pause .3
    repeat

transform bosspos:
    zoom 3.0
    xoffset 82

image tragedy battle2:
    contains:
        "tragedy_v2_ribbons_lower"
        zoom 3.0
    contains:
        "tragedy_v2_cape"
        zoom 3.0
    contains:
        "tragedy_v2_ribbons_upper"
        zoom 3.0
    contains:
        "tragedy_v2_body"
        zoom 3.0
    offset (200,200)

image attack hero ribbons:
    "tragedy_v2_ribbons_tuscanrouge_0000"
    pause .08
    "tragedy_v2_ribbons_tuscanrouge_0001"
    block:
        pause .08
        "tragedy_v2_ribbons_tuscanrouge_0002"
        pause .08
        "tragedy_v2_ribbons_tuscanrouge_0003"
        pause .08
        "tragedy_v2_ribbons_tuscanrouge_0004"
        pause .08
        "tragedy_v2_ribbons_tuscanrouge_0005"
        repeat

image attack2 hero ribbons:
    "tragedy_v2_ribbons_tuscanrouge_0006"
    pause .08
    "tragedy_v2_ribbons_tuscanrouge_0007"
    block:
        pause .08
        "tragedy_v2_ribbons_tuscanrouge_0008"
        pause .08
        "tragedy_v2_ribbons_tuscanrouge_0009"
        pause .08
        "tragedy_v2_ribbons_tuscanrouge_0010"
        pause .08
        "tragedy_v2_ribbons_tuscanrouge_0011"
        repeat

image attack maiden ribbons:
    "tragedy_v2_ribbons_midnightiris_0000"
    pause .08
    "tragedy_v2_ribbons_midnightiris_0001"
    block:
        pause .08
        "tragedy_v2_ribbons_midnightiris_0002"
        pause .08
        "tragedy_v2_ribbons_midnightiris_0003"
        pause .08
        "tragedy_v2_ribbons_midnightiris_0004"
        pause .08
        "tragedy_v2_ribbons_midnightiris_0005"
        repeat

image attack2 maiden ribbons:
    "tragedy_v2_ribbons_midnightiris_0006"
    pause .08
    "tragedy_v2_ribbons_midnightiris_0007"
    block:
        pause .08
        "tragedy_v2_ribbons_midnightiris_0008"
        pause .08
        "tragedy_v2_ribbons_midnightiris_0009"
        pause .08
        "tragedy_v2_ribbons_midnightiris_0010"
        pause .08
        "tragedy_v2_ribbons_midnightiris_0011"
        repeat

image attack underling ribbons:
    "tragedy_v2_ribbons_teal_0000"
    pause .08
    "tragedy_v2_ribbons_teal_0001"
    block:
        pause .08
        "tragedy_v2_ribbons_teal_0002"
        pause .08
        "tragedy_v2_ribbons_teal_0003"
        pause .08
        "tragedy_v2_ribbons_teal_0004"
        pause .08
        "tragedy_v2_ribbons_teal_0005"
        repeat

image attack2 underling ribbons:
    "tragedy_v2_ribbons_teal_0006"
    pause .08
    "tragedy_v2_ribbons_teal_0007"
    block:
        pause .08
        "tragedy_v2_ribbons_teal_0008"
        pause .08
        "tragedy_v2_ribbons_teal_0009"
        pause .08
        "tragedy_v2_ribbons_teal_0010"
        pause .08
        "tragedy_v2_ribbons_teal_0011"
        repeat

image attack overlord ribbons:
    "tragedy_v2_ribbons_magenta_0000"
    pause .08
    "tragedy_v2_ribbons_magenta_0001"
    block:
        pause .08
        "tragedy_v2_ribbons_magenta_0002"
        pause .08
        "tragedy_v2_ribbons_magenta_0003"
        pause .08
        "tragedy_v2_ribbons_magenta_0004"
        pause .08
        "tragedy_v2_ribbons_magenta_0005"
        repeat

image attack2 overlord ribbons:
    "tragedy_v2_ribbons_magenta_0006"
    pause .08
    "tragedy_v2_ribbons_magenta_0007"
    block:
        pause .08
        "tragedy_v2_ribbons_magenta_0008"
        pause .08
        "tragedy_v2_ribbons_magenta_0009"
        pause .08
        "tragedy_v2_ribbons_magenta_0010"
        pause .08
        "tragedy_v2_ribbons_magenta_0011"
        repeat

transform battle_cutin:
    xzoom 1.5 yzoom 3.0
    xalign .38 xanchor .5
    alpha 0
    easein .2 alpha 1.0 xzoom 3.0
    on hide:
        easeout .4 alpha 0 xzoom 2.0

image cutin hero:
    "cutin_hero1"
    pause .1
    "cutin_hero2"
    pause .1
    "cutin_hero3"
    pause .1
    repeat

image cutin maiden:
    "cutin_maiden1"
    pause .1
    "cutin_maiden2"
    pause .1
    "cutin_maiden3"
    pause .1
    repeat

image cutin underling:
    "cutin_underling1"
    pause .1
    "cutin_underling2"
    pause .1
    "cutin_underling3"
    pause .1
    repeat

image cutin overlord:
    "cutin_overlord1"
    pause .1
    "cutin_overlord2"
    pause .1
    "cutin_overlord3"
    pause .1
    repeat

transform final_cutin:
    zoom 3.0 xanchor .5
    alpha 0 yoffset -350
    easein .2 alpha 1.0 yoffset 0
    on hide:
        easeout .4 alpha 0 xzoom 1.2
image hero finalattack:
    xalign .07
    "cutin hero"
image maiden finalattack:
    xalign .21
    "cutin maiden"
image underling finalattack:
    xalign .35
    "cutin underling"
image overlord finalattack:
    xalign .49
    "cutin overlord"

#############
##BUTTON IMAGES
#############

image buttonscheme = ConditionSwitch("persistent.buttonscheme=='ps'", "scheme_ps",
    "persistent.buttonscheme=='nintendo'", "scheme_nintendo",
    "persistent.buttonscheme=='hide'", "scheme_hide",
    "True", "scheme_xbox")

image gp_hide = Null()

image gp_x = ConditionSwitch(
    "persistent.buttonscheme=='ps'", "ps_x",
    "persistent.buttonscheme=='nintendo'", "switch_a",
    "persistent.buttonscheme=='hide'", "gp_hide",
    "True", "xbox_a")

image gp_o = ConditionSwitch(
    "persistent.buttonscheme=='ps'", "ps_o",
    "persistent.buttonscheme=='nintendo'", "switch_b",
    "persistent.buttonscheme=='hide'", "gp_hide",
    "True", "xbox_b")

image gp_sq = ConditionSwitch(
    "persistent.buttonscheme=='ps'", "ps_sq",
    "persistent.buttonscheme=='nintendo'", "switch_y",
    "persistent.buttonscheme=='hide'", "gp_hide",
    "True", "xbox_x")

image gp_tri = ConditionSwitch(
    "persistent.buttonscheme=='ps'", "ps_tri",
    "persistent.buttonscheme=='nintendo'", "switch_x",
    "persistent.buttonscheme=='hide'", "gp_hide",
    "True", "xbox_y")

image gp_l = ConditionSwitch(
    "persistent.buttonscheme=='ps'", "ps_l1",
    "persistent.buttonscheme=='nintendo'", "switch_l",
    "persistent.buttonscheme=='hide'", "gp_hide",
    "True", "xbox_lb")

image gp_r = ConditionSwitch(
    "persistent.buttonscheme=='ps'", "ps_r1",
    "persistent.buttonscheme=='nintendo'", "switch_r",
    "persistent.buttonscheme=='hide'", "gp_hide",
    "True", "xbox_rb")

image gp_start = ConditionSwitch(
    "persistent.buttonscheme=='ps'", "ps_opt",
    "persistent.buttonscheme=='nintendo'", "switch_plus",
    "persistent.buttonscheme=='hide'", "gp_hide",
    "True", "xbox_menu")

image gp_select = ConditionSwitch(
    "persistent.buttonscheme=='ps'", "ps_touch",
    "persistent.buttonscheme=='nintendo'", "switch_minus",
    "persistent.buttonscheme=='hide'", "gp_hide",
    "True", "xbox_nav")
