##OVERLORD

label overlordstart:
    $ save_name = _("you are the overlord")
    $ quick_menu = True
    $ overlordbehavior = []
    $ _history_list = []
    stop music fadeout .5

    scene stage select
    play sound audio.party

    show herosprite exitleft at actor_exit, heropos
    show maidensprite exitleft at actor_exit, maidenpos
    show underlingsprite exitright at actor_exit, underlingpos
    show overlordsprite pose at actor_exit, overlordpos
    show curtains stageopen

    scene stage overlord with Dissolve(.4)
    pause .1
    show overlord start at cgresize
    show stagelight at cgresize, stagelight_reveal
    play music "music/overlord song.ogg"
    show screen cuemusic("note overlord_idle", _("OVERLORD song"))
    $ block()
    o "you are the overlord.{w=.2} you live in a castle surrounded by your demon servants. it's a pretty cushy life, you think."
    hide stagelight
    o start2 "except for those pesky humans who keep killing members of your army."
    o "there's even a role called \"hero\" whose whole purpose in life is just to dethrone you!"
    o start3 "what's their deal anyway? you've actively avoided pissing off the humans in hopes they'll leave you and your army alone, but they never do."
    o "you're still new to the whole overlord thing if you're being quite honest with yourself. you don't really understand the politics of it."
    o start4 "but, you remind yourself everyone is just doing their best to fulfill their roles. you won't let them bait you into being the evil overlord they expect."
    o "you think you're pretty cool and mature to hold yourself to the higher standard like that."
    o start5 "one of your underlings walks into your room, totally interrupting your thoughts about how awesome you are."
    o "they're saying something about how boring it is to stand in one place guarding the castle all the time, especially since no one ever comes here anyway."
    o start6 "you see their point, but the way they're whining about it kind of bothers you."
    o "what to do with this underling..."
    $ persistent.slavedriver = True
    menu:
        "TELL THEM TO GET BACK TO WORK" (behavior=_("tyrant")):
            $ overlordbehavior.append("slavedriver")
            o slavedriver "you give them a lecture about responsibility and unquestioning obedience. your servants ought to do what they're told, whether they like it or not!"
            o "they look really unhappy with you, but you're sure they'll thank you for this later. venturing too far from the castle tends to spell death."
            o sleep2 "you dismiss the underling and lie down in your nice and comfy overlord bed. all that lecturing made you want to take a nap."
            stop music fadeout 2.0
            show dim at lightsout
            o "you fall asleep pretty quick. just another one of your amazing talents as the overlord."
            hide dim
            if "hungry" in underlingbehavior:
                if "slayer" in herobehavior:
                    jump conqueredoverlord
                jump overlordhero
            jump overlordpart2

        "GRANT THEM THE DAY OFF":
            o kind "you tell them to go take a break from the stifling castle atmosphere and refresh their dark soul. a day off should be fine every once in a while."
            o kind2 "they thank you, and happily scurry off to do who knows what."
            o sleep3 "you have nothing better to do today, so you decide to nap for a little while. being the overlord sure is great."
            stop music fadeout 2.0
            show dim at lightsout
            pause 2
            hide dim
            if "hungry" in underlingbehavior:
                if "slayer" in herobehavior:
                    jump conqueredoverlord
                else:
                    play music "music/hero lost.ogg"
                    show screen cuemusic("note hero_idle", _("HERO lost"))
                    o oh "you are awakened by one of your underlings. a hero wishes to speak with you."
                    o oh2 "he enquires about a maiden who was rumored to be here, but you've never seen her. humans don't visit often. or ever, really."
                    o oh3 "as the hero takes his leave, you wonder why he totally trusted you there."
                    o "heroes traditionally kill demons... this guy seemed like he was bad at his job, in your opinion."
                    o sleep2 "whatever. you're still feeling sleepy, so you go right back to your nap."
                    stop music fadeout 2.0
                    show dim at lightsout
                    pause 2
                    if "disloyal" in underlingbehavior:
                        if "coward" in underlingbehavior:
                            o "you drift in and out of sleep. you feel uneasy, but aren't sure why."
                            hide dim
                            o ohno "the sound of a shutting door forces you awake."
                            jump burnedoverlord
                        hide dim
                        jump assassinatedoverlord
                    else:
                        o "you hear voices in the hall... you aren't sure how long you slept."
                        hide dim
                        o ohno "the sound of a shutting door forces you awake."
                        jump burnedoverlord
            else:
                jump overlordpart2

label overlordhero:
    play music "music/hero lost.ogg"
    show screen cuemusic("note hero_idle", _("HERO lost"))
    o oh "you are awakened by one of your underlings. they've brought you a hero who enquires about a missing maiden."
    o oh2 "you tell him you don't know anything. humans never really visit this place."
    o oh3 "he believes you and goes home, to your surprise. you figured he might try to fight you, but you're glad to get back to your nap instead."
    stop music fadeout 3.0
    show dim at lightsout
    pause 1
    o "...until you wake up to something completely unexpected."
    hide dim
label overlordalone:
    if "disloyal" in underlingbehavior:
        if "coward" in underlingbehavior:
            jump burnedoverlord
        jump assassinatedoverlord
    jump burnedoverlord

label conqueredoverlord:
    play music "music/overlord fight.ogg"
    show screen cuemusic("note overlord_idle", _("OVERLORD fight"))
    o awake "you awake to a huge commotion outside."
    o conquered "a hero has shown up and started totally murdering your soldiers! what the hell, guy?!"
    o conquered2 "you rush out into the battlefield to confront this jerkwad. you curse at him and very rudely enquire his reasons for doing all this."
    o conquered3 "the hero yells at you, demanding you return the maiden you're holding captive."
    o conquered4 "you don't know what he's talking about, but you can't forgive his actions."
    o conquered5 "you do battle with the hero! but he has grown strong from cutting down your army... you are unable to defeat him."
    play music "music/overlord lonely.ogg" fadeout 2.0
    show screen cuemusic("note overlord_idle", _("OVERLORD lonely"), delay=2)
    o slain1 "with decisive swings, he stabs and cuts you to pieces."
    o conquered6 "you fall. you have failed your subjects."
    o "you spit curses weakly. you wish you'd been stronger."
    o "maybe you were never suited to be the overlord in the first place..."
    o "the truth was, you were never that much more powerful than the demons who served you. it was the title, the control that gave you strength."
    show dim at lightsout
    o "these are your thoughts as you are swallowed by darkness."
    stop music fadeout 1.0
    show curtains overlord
    pause 1
    play music "music/overlord requiem.ogg"
    show screen cuemusic("note overlord_idle", _("OVERLORD requiem"))
    if not persistent.conqueredoverlord:
        $ persistent.overlordends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.conqueredoverlord = True
    $ achievement.grant("CONQUERED_OVERLORD")
    "CONQUERED OVERLORD END"
    jump tryagain

label overlordpart2:
    play music "music/maiden song.ogg" fadeout 1.0
    show screen cuemusic("note maiden_idle", _("MAIDEN song"))
    o awake "you awake to a knock on your door. the underling from earlier brought back some company!"
    #edit: show underling presenting maiden here?
    if "slavedriver" in overlordbehavior:
        o slavedriver "you thought you told that underling to do their job, not drag strangers into your room. looks like they took an unauthorized break away from the castle."
        o "you scold them, but ultimately you're a little interested in this guest so you let them off easy. that underling's not so bad."
    o awake2 "it's a maiden from the nearby human village. she says her role is to be captured by you."
    o "the maiden then goes on to say that she's been getting very impatient thinking about her impending capture, so she's come here to speed things along."
    o awake3 "you appreciate her honesty, but regret to inform her you never had any plans to capture any humans."
    o awake4 "she seems very disappointed by this."
    m "\"perhaps i'm not performing my role well enough. how can i become more maiden-like?\""
    o "you don't really understand the question."
    o awake5 "you think this world puts way too much focus on destiny and junk. just go home and stop worrying about it, you tell her."
    o awake6 "the maiden seems to be having a hard time wrapping her head around this."
    o awake7 "she insists that she stay and talk to you more."
    o "you feel warm inside as she looks into your eyes. this is the first time a human has looked at you without contempt."
    o "you wonder what to say..."
    $ persistent.antisocial = True
    menu:
        "TELL HER SHE'D BETTER GO HOME" (behavior=_("antisocial")):
            $ overlordbehavior.append("antisocial")
            o antisocial "you'd love to have all the conversations in the world with your new friend, but having a human girl here will definitely cause trouble."
            o "you put on your mean face and tell her to get lost."
            if "obedient" not in maidenbehavior:
                o antisocial2 "...but the maiden turns out to be very stubborn."
                o antisocial3 "you don't want to hurt her, but you also really want her to leave in case something bad happens. this whole situation is just asking for trouble, you think."
                o "against your better judgement, you let her hang out for a little while longer."
                jump overlordpart3
            stop music fadeout 3.0
            o antisocial4 "the maiden does what she's told and takes her leave."
            o sleep2 "you figure you may as well go back to bed now..."
            show dim at lightsout
            pause 1
            o "...but you don't get to rest for very long."
            hide dim

            #where no one comes back
            if "trusting" not in herobehavior:
                jump overlordalone
            if "slayer" in herobehavior:
                jump overlordalone

            #where the hero and maiden return together
            if "resolute" in maidenbehavior:
                if "disloyal" in underlingbehavior:
                    jump overlordpart4
                else:
                    jump burnedoverlord

            #where the maiden returned alone
            if "disloyal" in underlingbehavior:
                jump overlordhero2

            #otherwise the only thing left is...!
            jump burnedoverlord

        "LET HER STAY FOR A WHILE":
            o social "you can't bring yourself to send this maiden away. she just got here!"
            jump overlordpart3

label overlordhero2:
    play music "music/overlord fight.ogg"
    show screen cuemusic("note overlord_idle", _("OVERLORD fight"))
    o conquered "you wake up to the sounds of battle. a hero is cutting through your army!"
    o conquered2 "as the overlord, it's your job to take charge in these kinds of situations. you rush out to end this hero's pitiful existence."
    show overlord conquered3
    h "\"vile demons! i shouldn't have believed for a second that you were anything but pure evil! i'll exterminate you all!\""
    o conquered4 "you don't really get what he's going on about, but you engage regardless. a girl's gotta defend her people."
    o conquered5 "you clash again and again, but the hero isn't going down easily."
    o betrayed "you're both dangerously low on health, waiting for the other to make a move... when one of your underlings appears behind him."
    o betrayed2 "they knock the hero unconscious. you kind of appreciate it, but can't they see this was a duel?!"
    o betrayed3 "they don't respond. you sense murderous intent...."
    play music "music/overlord lonely.ogg" fadeout 1.0
    show screen cuemusic("note overlord_idle", _("OVERLORD lonely"), delay=1)
    jump betrayedoverlord

label overlordpart3:
    play music "music/attraction.ogg" fadeout 1.0
    show screen cuemusic("note maiden_idle", _("attraction"))
    o chat "you enjoy a nice long chat with her, sharing stories about your kind."
    o chat2 "she expresses her surprise that demons are not at all what she expected them to be."
    o "you are glad that she seems to have an open mind about these kind of things."
    o chat3 "you also bring up how you always instruct your army to avoid humans, as not to agitate them and get heroes sent out after you."
    show overlord chat4
    m "\"that explains why the people of my village have been left unharmed... it's because of your orders, isn't it? we are very grateful!\""
    o chat5 "you're surprised to hear her thank you."
    o "you've always thought of humans to be violent and unreasonable. that's why your servants are always getting killed, despite your efforts to leave them alone."
    o "but... this maiden is different."
    o chat6 "you joke that maybe you've been lying to her this whole time, and that you were actually super evil all along."
    o chat7 "the maiden laughs at that, saying she wouldn't mind being held captive here. the people in her village are a little exhausting at times, she says."
    o chat8 "you can't tell if she's into you or not."
    if "slayer" in herobehavior:
        o genocide "you notice the sounds of battle have started ringing through your castle halls."
        o genocide2 "the maiden is getting nervous, but you reassure her it's only your underlings roughhousing. no big deal."
        stop music fadeout 3.0
        o "you know it's probably a hero, but you don't want to upset the maiden by telling her that. your army will take care of it."
        play music "music/overlord fight.ogg"
        show screen cuemusic("note overlord_idle", _("OVERLORD fight"))
        o genocide3 "it isn't long before the hero bursts into your room."
        o genocide4 "but... he shouldn't have made it here. why didn't they stop him?"
        o genocide5 "the hero just stands there unsure of himself. he is covered in demon blood."
        o genocide6 "as the maiden speaks to him trying to explain the situation, you move past the hero and out the door."
        o genocide7 "you're not thinking clearly."
        o genocide8 "seeing your servants' bodies in pieces all strewn about your castle has really taken it out of you."
        o genocide9 "that hero did this? there's so much blood...."
        o "why? did he come for the maiden? did he think... she needed rescuing?"
        o "there was no one for this hero to save here. there was never any harm meant to anyone. you were just... talking to her."
        o genocide10 "why has it turned out like this?"
        if "coup" not in herobehavior:
            jump wrathfuloverlord
        if "martyr" in maidenbehavior:
            show dim at cgresize
            o "the maiden shouts something behind you..."
            show overlord vengeful
            hide dim with dissolve
            o "...and you turn just in time to see her throw herself between you and the hero's blade."
            o vengeful2 "it pierces her chest, and she falls to the floor, lifeless."
            o "as the pool of blood beneath her grows, so does your rage."
            o vengeful3b "this \"hero\" has taken everyone from you now."
            jump vengefuloverlord
        stop music fadeout .2
        show dim at cgresize
        o "you feel a sudden sharp pain through your back."
        play music "music/overlord lonely.ogg"
        show screen cuemusic("note overlord_idle", _("OVERLORD lonely"))
        show overlord slain
        hide dim with dissolve
        o slain "you look down to see a blade protruding from your chest."
        o slain2 "ah... that was careless of you."
        o "so this is how you die. stabbed in the back by some cowardly hero..."
        o "what a joke. you're supposed to be the ruthless one."
        o slain3 "that's right... humans can't be trusted. not if this is what they're capable of."
        o "you should've remembered that before letting one in."
        o slain4 "you watch as the hero takes the maiden's hand, leading her through the sea of corpses he'd left in his wake."
        jump slainoverlord

    stop music fadeout 2.0
    o entrance "you're interrupted by another human in your doorway. this time it's a hero."
    if "coup" in herobehavior:
        if "martyr" in maidenbehavior:
            play music "music/overlord fight.ogg"
            show screen cuemusic("note overlord_idle", _("OVERLORD fight"))
            o slain1 "before you even know how to react, he makes his move... and the maiden makes hers."
            hide dim
            o vengeful "she's used her own body to shield you from the hero's blade. why...? why has this happened?"
            o vengeful2 "the maiden falls to the floor, lifeless. as the pool of blood beneath her grows, so does your rage."
            o vengeful3 "this hero has taken something precious from this world."
            $ altend = True
            jump vengefuloverlord
        play music "music/overlord lonely.ogg" fadeout 1.0
        show screen cuemusic("note overlord_idle", _("OVERLORD lonely"), delay=1)
        o slain1 "he suddenly strikes, cutting through you with his blade. he didn't even hesitate."
        o slain2 "ah... you've gone soft. how could you have let your guard down like that?"
        o slain3 "how unfair. after all you've done to avoid this outcome, you can't outrun your destiny... the hero always slays the overlord."
        o slain4 "you should never have trusted a human. you watch as the hero escorts the maiden out of your castle."
        jump slainoverlord

    play music "music/overlord song.ogg" fadeout 1.0
    show screen cuemusic("note overlord_idle", _("OVERLORD song"))
    o entrance2 "he was apparently searching for the maiden, who was rumored to have been captured by your kind."
    show overlord entrance3
    m "\"captured? not at all! i only wanted to meet with the overlord. didn't anyone read the note i left behind?\""
    o entrance4 "after everything is explained, the hero expresses his relief that this whole misunderstanding hadn't led to any horrible consequences."
    o "the maiden apologizes for causing trouble, and the hero asks her to return to the village with him."
    o entrance5 "confusing feelings well up inside your heart. you're surprised that you had one of those to begin with."
    o "you don't want the hero to take this maiden away from you."
    $ persistent.possessive = True
    menu:
        "KEEP HER HERE" (behavior=_("possessive"), doom=True):
            stop music fadeout 2.0
            $ overlordbehavior.append("possessive")
            o possessive "the maiden came here to be captured by you didn't she? you'll grant her wish."
            play music "music/overlord lonely.ogg"
            show screen cuemusic("note overlord_idle", _("OVERLORD lonely"))
            o possessive1 "you tell the hero you won't let him take her home."
            o "the maiden assures you she'll be back. but you don't budge."
            o possessive2 "the hero is cautious now."
            h "\"if you won't let her go... maybe you demons are evil after all. and if you are, i'll be forced to vanquish you.\""
            o possessive3 "you have no choice. you destroy the hero before he can steal your maiden away."
            o possessive4 "she's frightened. you don't understand why."
            o "didn't she say she prefers this place to her village? now she doesn't have to leave!"
            o possessive5 "you take a step toward the maiden, and she backs herself into a corner."
            o possessive6 "you don't understand."
            if "disloyal" in underlingbehavior:
                if "hungry" in underlingbehavior:
                    $ underlingbehavior.remove("hungry")
                o betrayed4 "something sharp pierces your back. the hero? no, he's already..."
                o "it's one of your underlings. the maiden screams."
                jump betrayedoverlord
            o "she wanted to stay here with you. the hero was trying to get in the way of that. you HAD to kill him."
            o possessive7 "you'll be sure to keep this maiden very safe from now on."
            stop music fadeout 2.0
            show dim at lightsout
            pause 1
            show curtains overlord
            pause 1
            play music "music/overlord requiem.ogg"
            show screen cuemusic("note overlord_idle", _("OVERLORD requiem"))
            if not persistent.yandereoverlord:
                $ persistent.overlordends_seen += 1
                $ persistent.endings_seen += 1
            $ persistent.yandereoverlord = True
            $ achievement.grant("SELFISH_OVERLORD")
            "SELFISH OVERLORD END" id overlordpart3_2b44982a
            # if "slayer" in herobehavior:
            #     "SELFISH OVERLORD END A" #keep maiden in response to hero's actions
            # else:
            #     "SELFISH OVERLORD END B" #suddenly kill hero to keep maiden
            jump tryagain

        "LET THEM GO":
            o antisocial4 "you're certain that she'll return to spend more time with you. you just have to trust in that, you decide."
            stop music fadeout 3.0
            o sleep4 "with the hero and maiden gone, you plop down into the comfort of your luxurious overlord bed."
            o "your room feels so empty now. is this loneliness?"
            show dim at lightsout
            o "you hope your new friend will be back soon. you close your eyes for a while."
            hide dim
            if "disloyal" in underlingbehavior:
                jump overlordpart4
            o ohno "...until your door slams shut."
            jump burnedoverlord

label overlordpart4:
    $ persistent.spoilers = True
    play music insurrection
    show screen cuemusic("note overlord_idle", _("insurrection"))
    if "resolute" in maidenbehavior:
        o climax "the maiden suddenly bursts into your room, accompanied by a hero."
        o climax2 "she's trying to frantically communicate something to you, but you're still half-asleep."
        o "they tell you a group of demons is after your life. you still don't grasp the urgency of the situation."
    else:
        o climax "you've almost fallen asleep when the maiden and hero burst into your room, frantically trying to communicate something to you."
        o climax2 "you're told that a group of demons is plotting to assassinate you!"
        o "you're not surprised. how nice of the humans to care, though."
    o climax3 "one of your underlings barges in next, shouting that the humans are liars."
    o climax4 "they're followed by another group of demons, crying that everything was that first underling's plan."
    o climax5 "everyone is shouting over each other now, and it's very annoying. you yell for all of them to shut their traps."
    o climax6 "you have no doubt that your servants would let their ambition cloud their judgement and lead them to try to take your throne."
    o climax7 "\"regardless of who led this conspiracy, i have no choice but to punish everyone to keep you all in your place: crushed beneath my heel!\""
    o "saying that made you feel very overlord-like."
    o climax8 "you aren't sure if you have the strength to back it up, though. lately all you do is sleep."
    o climax9 "the group of demons start muttering something about going back to \"plan a\" and suddenly slam your door shut."
    o climax10 "you, the maiden, the hero, and one of your underlings are trapped inside."
    o climax11 "in an instant, the whole room is in flames."
    o climax12 "the underling pounds on the door, cursing at their \"friends\" for betraying them."
    o climax13 "the hero pounds on the door as well, vowing to slay the cowardly demons on the other side."
    o climax14 "so this is how you'll die. burned alive in your own room by those you thought you could trust."
    o "you should've expected this from a bunch of idiot demons, though."
    o climax15 "you notice the maiden crying. why does she have to die over something that has nothing to do with her?"
    o climax16 "perhaps she was cursed from the moment she spoke to you."
    o climax17 "you wonder if you're cursed as well."
    o climax18 "you're so filled with anger and frustration, you don't even notice that you've grabbed the underling those traitors blamed everything on."
    o climax19 "they cry for mercy, saying that they were dragged into this plot knowing they'd be killed if they took your side."
    o "they cry that they didn't want to have to kill you."
    o climax20 "you almost feel sorry for them."
    menu:
        "TAKE RETRIBUTION" (doom=True):
            o retribution "you pierce their chest with your claws. they scream."
            o retribution2 "the hero backs away... he is wise not to interfere."
            o retribution3 "they've stopped moving, but you keep digging and twisting your claws into them."
            o climax20 "it doesn't make you feel any better."
            o retribution4 "the underling's corpse burns along with you and the two humans."
            stop music fadeout 3.0
            show dim at lightsout
            pause 1
            show curtains overlord
            pause 1
            play music "music/overlord requiem.ogg"
            show screen cuemusic("note overlord_idle", _("OVERLORD requiem"))
            if not persistent.spitefuloverlord:
                $ persistent.overlordends_seen += 1
                $ persistent.endings_seen += 1
            $ persistent.spitefuloverlord = True
            $ achievement.grant("SPITEFUL_OVERLORD")
            "SPITEFUL OVERLORD END"
            jump tryagain

        "FORGIVE THEM" (behavior=_("merciful")):
            $ persistent.merciful = True
            $ overlordbehavior.append("merciful")
            o merciful "you release the underling. killing them wouldn't make you feel any better."
            o "besides, they've already gotten their punishment."
            o merciful2 "you'll all burn together."
            stop music fadeout 3.0
            show dim at lightsout
            pause 1
            show curtains overlord
            pause 1
            if not persistent.trueoverlord:
                $ persistent.overlordends_seen += 1
                $ persistent.endings_seen += 1
            $ persistent.trueoverlord = True
            $ achievement.grant("TRUE_OVERLORD")
            "OVERLORD'S TRUE END"

            jump trueend_afterwards

label slainoverlord:
    o slain5 "captured by a demon... at least she got what she came here for."
    stop music fadeout 3.0
    show dim at lightsout
    o "you join your army in eternal slumber."
    show curtains overlord
    pause 1
    play music "music/overlord requiem.ogg"
    show screen cuemusic("note overlord_idle", _("OVERLORD requiem"))
    if not persistent.slainoverlord:
        $ persistent.overlordends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.slainoverlord = True
    $ achievement.grant("SLAIN_OVERLORD")
    "SLAIN OVERLORD END"
    jump tryagain

label wrathfuloverlord:
    o sorry "the hero starts babbling insincere apologies and excuses, realizing his wrongdoing. but you are far beyond hearing that kind of bullshit."
    o conquered2 "you have had it with these humans always murdering your servants for no reason! you can no longer hold yourself back, and lash out at the hero."
    stop music fadeout 3.0
    show dim at lightsout
    pause 2
    show overlord sorry2
    hide dim
    with dissolve
    o "when you regain control, there is nothing left of the hero. the maiden has fled in terror."
    o "you are alone."
    show curtains overlord
    pause 1
    play music "music/overlord requiem.ogg"
    show screen cuemusic("note overlord_idle", _("OVERLORD requiem"))
    if not persistent.wrathfuloverlord:
        $ persistent.overlordends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.wrathfuloverlord = True
    $ achievement.grant("WRATHFUL_OVERLORD")
    "WRATHFUL OVERLORD END"
    jump tryagain

label vengefuloverlord:
    o vengeful4 "you lose control."
    show dim at lightsout
    o "...and the hero is obliterated."
    o "but your hatred for the humans has not yet been sated..."
    show overlord vengeful5
    hide dim with dissolve
    o "you go on to destroy them all, and become ruler of the entire world."
    show curtains overlord
    pause 1
    if not persistent.vengefuloverlord:
        $ persistent.overlordends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.vengefuloverlord = True
    $ achievement.grant("VENGEFUL_OVERLORD")
    if altend:
        "VENGEFUL OVERLORD END B" #hero tries to kill overlord only
    else:
        "VENGEFUL OVERLORD END A" #hero kills all demons, then maiden

    jump tryagain

label assassinatedoverlord:
    play music "music/overlord fight.ogg"
    show screen cuemusic("note overlord_idle", _("OVERLORD fight"))
    o assassinated "one of your underlings is tearing your throat out!"
    o assassinated2 "you try to struggle, but you can tell you're already mortally wounded. what have you done to deserve this kind of ending?"
    if "slavedriver" not in overlordbehavior:
        o "...you remember now. you gave this one a day off. and this is how it repays you?"
    else:
        o "you curse at them, choking on your own blood."
    stop music fadeout 3.0
    show dim at lightsout
    o "you die wondering if you could've done anything to prevent this."
    show curtains overlord
    pause 1
    play music "music/overlord requiem.ogg"
    show screen cuemusic("note overlord_idle", _("OVERLORD requiem"))
    if not persistent.assassinatedoverlord:
        $ persistent.overlordends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.assassinatedoverlord = True
    $ achievement.grant("ASSASSINATED_OVERLORD")
    "ASSASSINATED OVERLORD END"
    jump tryagain

label burnedoverlord:
    play music "music/overlord fight.ogg"
    show screen cuemusic("note overlord_idle", _("OVERLORD fight"))
    o burned "before you know it, everything around you is being engulfed by flames! what's going on?!"
    o burned2 "you try to escape, but something's blocking the door. you're having trouble forcing it open. what is this...?"
    o "someone didn't want you getting out."
    o burned3 "are you being usurped? they have zero foresight. what castle will they rule from if this one burns?"
    o "you don't want to believe that your underlings have betrayed you. but this is no accident. those ungrateful bastards..."
    o burned4 "you choke on the thick black smoke from the fire. you can't believe you're being done in by a bunch of cowards."
    stop music fadeout 3.0
    show dim at lightsout
    o "you'll see them in hell."
    show curtains overlord
    pause 1
    play music "music/overlord requiem.ogg"
    show screen cuemusic("note overlord_idle", _("OVERLORD requiem"))
    if not persistent.burnedoverlord:
        $ persistent.overlordends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.burnedoverlord = True
    $ achievement.grant("BURNED_OVERLORD")
    "BURNED OVERLORD END"
    jump tryagain

label betrayedoverlord:
    o betrayed5 "your servant tackles you, tearing you apart with their claws. you struggle to retaliate."
    o conquered6 "they've done too much damage. you can barely move now..."
    o "your blood is everywhere. you can't believe this has happened to you."
    o "why has this happened to you?"
    stop music fadeout 2.0
    show dim at lightsout
    o "you have been slain by your own underling."
    show curtains overlord
    pause 1
    play music "music/overlord requiem.ogg"
    show screen cuemusic("note overlord_idle", _("OVERLORD requiem"))
    if not persistent.betrayedoverlord:
        $ persistent.overlordends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.betrayedoverlord = True
    $ achievement.grant("BETRAYED_OVERLORD")
    if "possessive" in overlordbehavior:
        "BETRAYED OVERLORD END B" #killed in overlord's room
    else:
        "BETRAYED OVERLORD END A" #killed after fighting hero in courtyard
    jump tryagain
