##UNDERLING

label underlingstart:
    $ save_name = _("you are an underling")
    $ quick_menu = True
    $ underlingbehavior = []
    $ _history_list = []
    stop music fadeout .5

    scene stage select
    play sound audio.party

    show herosprite exitleft at actor_exit, heropos
    show maidensprite exitleft at actor_exit, maidenpos
    show underlingsprite pose at actor_exit, underlingpos
    show overlordsprite exitright at actor_exit, overlordpos
    show curtains stageopen

    scene stage underling with Dissolve(.4)
    pause .1
    show underling start at cgresize
    show stagelight at cgresize, stagelight_reveal
    play music "music/underling song-intro.ogg"
    queue music "music/underling song.ogg"
    show screen cuemusic("note underling_idle", _("UNDERLING song"))
    $ block()
    u "you are a demon underling, in service of the overlord. you aren't particularly strong, but not particularly weak either. that's what your friends tell you."
    hide stagelight
    u start2 "your job is to guard the castle and keep humans away. it's unbearably boring."
    u "heroes rarely come all the way here to challenge the overlord anyway. it's a lot of standing in one place, staring into nothing."
    u start3 "you feel like you're gonna go crazy if you don't get a break. you decide to ask the overlord for a day off..."
    if "slavedriver" in overlordbehavior:
        u start4 "she gives you an earful about responsibility and unquestioning obedience. you wait for her to finish her lecture before returning to your post."
        u start5 "what does she know about anything? who made her the boss of everyone? you complain about the overlord to your friends."
        u "they agree that she is kind of a snob, and totally deserves to be kicked off her throne."
        u start6 "you only wanted to vent your frustrations, but the conversation somehow turned into an assassination plot."
        u "you should probably steer this in a responsible direction..."
        $ persistent.disloyal = True
        menu:
            "LET'S OVERTHROW HER" (behavior=_("disloyal")):
                $ underlingbehavior.append("disloyal")
                u disloyal "no! you're sick of this overlord holding you and your friends back."
                u disloyal2 "you agree that it's time for a change of management. your friends suggest maybe YOU should be the new overlord!"
                u "you like the sound of that. you announce your first act of rebellion is to take that day off like you wanted."
                u disloyal3 "your friends aren't very impressed. you assure them you'll talk more about the assassination thing when you get back, which satisfies them."
                u start9 "you sneak out of the castle to have some fun."
                jump underlingstroll
            "LET'S NOT":
                u start8 "you tell your friends you were totally not serious about this whole thing. you're actually cool with the status quo!"
                u "after all, life must be pretty dang good if the only thing you have to complain about is that you live so comfortably there's nothing to do."
                u disloyal3 "the others nod, but don't seem convinced. you say a coup d'etat would be more effort than it's worth."
                u start9 "but you're still gonna be a rebel and sneak out of the castle. your friends praise your mischievous ways!"
                jump underlingstroll
    u start4b "she's surprisingly cool with it? nice!!"
    u start9 "you set out on your adventure outside the castle!"

label underlingstroll:
    play music "music/underling friend.ogg" fadeout 1.0
    show screen cuemusic("note underling_idle", _("UNDERLING friend"), delay=1)
    u tumble "the change of atmosphere excites you. you spend some time rolling around in the grass, wild and free."
    u stroll "as you make your way along the path to the nearby human village, you encounter a maiden."
    if "polite" in maidenbehavior:
        if "polite" not in persistent.endmap_flags:
            $ persistent.endmap_flags.append("polite")
        u stroll2 "she greets you, and says she has a favor to ask."
    else:
        u stroll2b "she seems very frightened and screams for a hero to come save her."
    u "you consider your options..."
    $ persistent.hungry = True
    menu:
        "GOBBLE HER UP" (behavior=_("hungry")):
            play music "music/underling song-intro.ogg"
            queue music "music/underling song.ogg"
            show screen cuemusic("note underling_idle", _("UNDERLING song"))
            $ underlingbehavior.append("hungry")
            jump underlingpart2

        "TELL HER TO QUIT YELLING" if "polite" not in maidenbehavior:
            u stroll3 "when the maiden realizes you're not going to hurt her, she regains her composure."
            u stroll4 "now she's started talking to you like you're friends or something. you don't understand humans at all."
            u "you speak the same language of course, which has always confused you, because why is there conveniently only one language in the world?"
            u "if demons and humans have independent societies, wouldn't it make sense for them to each have their own language?"
            jump underlingpart3

        "HEAR HER OUT" if "polite" in maidenbehavior:
            u stroll3 "you're in a good mood today, and are rather curious about what the maiden has to say."
            u "humans don't usually talk to you, so this is kind of exciting. you hadn't guessed it would even be possible to understand each other before now."
            show underling stroll4
            jump underlingpart3

label underlingpart2:
    u hungry "maidens aren't the best meal, but you figure you should live up to your demon name and strike back against the humans!"
    u hungry2 "you start devouring the maiden without so much as a second thought, and feel quite proud of that."
    u hungry3 "other humans would surely praise you with curses if they were around to see. oh man, if only someone could've been watching!"
    u hungry4 "time to find an audience for your evil deeds. you wander into the nearby village."
    u hungry5 "the people are screaming and running away, throwing rocks at you and whatnot. you think that's pretty rude of them."
    u hungry6 "you haven't even done anything yet."
    menu:
        "PUT ON A SHOW" (doom=True):
            u performer "you attack the nearest human. he is old and weak, and his bones crunch delightfully."
            u performer2 "your audience's screams grow louder. applause!"
            u "you think, \"hey, this is actually pretty fun. i should've taken revenge like this a lot sooner!\""
            u performer3 "as you continue your bloodthirsty dance, striking the villagers down, you fail to notice a sword-wielding hero running toward you."
            u performer4 "he takes you out in one swift blow. you're just a demon underling after all."
            u performer5 "as you die, you think, \"that was totally worth it.\""
            stop music fadeout 2.0
            show curtains underling
            u "the curtain closes."
            play music "music/underling requiem.ogg"
            show screen cuemusic("note underling_idle", _("UNDERLING requiem"))
            if not persistent.performerunderling:
                $ persistent.underlingends_seen += 1
                $ persistent.endings_seen += 1
            $ persistent.performerunderling = True
            $ achievement.grant("PERFORMER_UNDERLING")
            "PERFORMER UNDERLING END"
            jump tryagain

        "CHANGE YOUR MIND AND LEAVE":
            stop music fadeout 3.0
            u leave "you figure if people are this upset at just the sight of you, they won't fully appreciate any terrible acts you'd commit."
            u "also, they might fight back. that probably wouldn't end well... you're just one little underling after all."
            show dim at lightsout
            u "this little day out has been adequately refreshing. you return to the castle, thinking you'll take a nap."
            hide dim
            if "slayer" in herobehavior:
                jump underlingpart4
            jump underlingpart5

label underlingpart3:
    u "the maiden is going on and on about some kind of destiny she's trying to fulfill."
    u "the bottom line, from what you gather, is that she wants you to take her to the overlord."
    u stroll5 "sounds like it could be interesting. besides, you have nothing better to do!"
    u "satisfied with your day out, you take the maiden back to the castle and present her to the overlord."
    if "slavedriver" in overlordbehavior:
        u slavedriver "the overlord asks where you found this maiden, knowing full well that you left the castle when you weren't supposed to."
        u "you apologize for disobeying her, but hope that the maiden is an interesting enough present that you may be forgiven."
        u slavedriver2 "the overlord nods and says everything's cool as long as you always listen to her from now on."
        if "disloyal" in underlingbehavior:
            $ underlingbehavior.remove("disloyal")
        u slavedriver3 "you're impressed with what an easygoing boss she is. you mention how you can't believe you and your friends even considered overthrowing her!"
        u slavedriver4 "she gives you a look and you say, \"that was just a joke, of course!\""
        u slavedriver5 "she smiles and dismisses you. you decide it's about time for a nap."
    else:
        u stroll6 "they seem to be getting along just fine, so you decide it's about time for a nap."

    stop music fadeout 3.0
    show dim at lightsout
    pause 3
    hide dim

    if "slayer" in herobehavior:
        jump underlingpart4
    else:
        jump underlingpart5

label underlingpart4:
    play music "music/underling violence.ogg"
    show screen cuemusic("note underling_idle", _("UNDERLING violence"))
    u battle "after a few hours of sleep, you're rudely awakened by the sounds of battle."
    u battle2 "you emerge from your room to find that a hero has slaughtered many of your friends and work associates. what a jerk!"
    menu:
        "AVENGE YOUR FALLEN COMRADES" (doom=True):
            u battle3 "who does this guy think he is, coming in here and killing everyone like some maniac! what did we ever do to him?!"
            u battle4 "you lunge at him while he's busy driving his sword into the guard who sometimes brought you food whenever they noticed you were feeling kinda down."
            u battle5 "you liked that guard. you wish with all your demon heart for this hero to suffer for his deeds."
            u battle6 "you bite into him, tearing flesh from bone. it tastes like iron."
            u battle7 "the hero struggles. you feel his sword go through you, but there is no pain. only retribution."
            u battle8 "more of your comrades pile onto him as your consciousness fades..."
            stop music fadeout 3.0
            show dim at lightsout
            u "the hero is overtaken. your army has won."
            u "you have earned your rest."
            show curtains underling
            play music "music/underling requiem.ogg"
            show screen cuemusic("note underling_idle", _("UNDERLING requiem"))
            if not persistent.victoriousunderling:
                $ persistent.underlingends_seen += 1
                $ persistent.endings_seen += 1
            $ persistent.victoriousunderling = True
            $ achievement.grant("VICTORIOUS_UNDERLING")
            "VICTORIOUS UNDERLING END"
            jump tryagain

        "SAVE YOURSELF":
            u deserter "you look around at the lifeless forms of those you've known as far back as you can remember. you feel glad to not be in their shoes."
            u deserter2 "you also feel guilty to be thinking that as you flee the castle... until you remember your role, not as an underling, but as a demon."
            u "this kind of thing is expected of you."
            stop music fadeout 4.0
            show dim at lightsout
            u "maybe you'll start a new life, far away from any humans or demons..."
            u "where you'll live peacefully, alone, in some deep dark forest somewhere."
            show curtains underling
            play music "music/underling requiem.ogg"
            show screen cuemusic("note underling_idle", _("UNDERLING requiem"))
            if not persistent.deserterunderling:
                $ persistent.underlingends_seen += 1
                $ persistent.endings_seen += 1
            $ persistent.deserterunderling = True
            $ achievement.grant("DESERTER_UNDERLING")
            "DESERTER UNDERLING END"
            jump tryagain

label underlingpart5:
    play music "music/underling plot.ogg"
    show screen cuemusic("note underling_idle", _("UNDERLING plot"))
    u friends "you don't get to sleep long. your friends wake you up... rude."
    if "disloyal" in underlingbehavior:
        u friends3 "they're very eager to talk to you about the whole \"kill the overlord\" plan."
        u friends4b "you admit you hadn't given it much thought and only just now remembered it was a thing."
    else:
        u friends2 "one of them is stepping on you pretty hard. you ask them what their deal is."
        u friends3 "they say they're planning a whole revolution. they're gonna get rid of the current overlord and put a new ruler in place."
        u "they want to hear if you're in or out. and being a pretty lazy underling, you of course reply with..."
        u friends4 "\"that sounds like a lot of trouble. how 'bout we just skip it instead?\""

    u friends5 "your friends question your loyalty to their cause."
    $ persistent.disloyal = True
    menu:
        "OKAY, LET'S KILL THE OVERLORD!" (behavior=_("disloyal")):
            $ underlingbehavior.append("disloyal")
            u friends6 "you tell them you were just joking, and clarify that you're totally in it to win it. they say you were always terrible with jokes."
            u friends7 "whether or not you actually feel like killing the overlord, you know how bad it'd be to end up on the wrong side of things."
            u "and if this assassination deal doesn't pan out, you can always pretend you were innocent all along!"
            u "...but beneath your shield of faux confidence, you worry about what you're getting yourself dragged into."
            jump underlingplot
        "SHE'S ACTUALLY NOT SO BAD, YOU GUYS..." (doom=True):
            if "disloyal" in underlingbehavior:
                $ underlingbehavior.remove("disloyal")
            jump faithfulunderling

label faithfulunderling:
    u faithful "your friends seem pretty disappointed. they apologize to you. but before you can ask what they're sorry about..."
    u faithful2 "...one of them suddenly seizes you."
    u faithful3 "\"someone who's still loyal to the overlord... really has no place in our castle. you understand, right?\" their claws tighten around your neck."
    u faithful4 "you don't bother to struggle. you're outnumbered. you already know how things like this end."
    u "\"this is a pretty messed up thing to do to a friend,\" you tell them."
    show dim at cgresize
    stop music fadeout .2
    u "they slit your throat in response."
    show curtains underling
    pause 1
    play music "music/underling requiem.ogg"
    show screen cuemusic("note underling_idle", _("UNDERLING requiem"))
    if not persistent.faithfulunderling:
        $ persistent.underlingends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.faithfulunderling = True
    $ achievement.grant("FAITHFUL_UNDERLING")
    "FAITHFUL UNDERLING END"
    jump tryagain

label underlingplot:
    u plot "you follow your friends outside the castle to talk more about the plan. you're curious if they have any idea how they wanna go about this."
    u plot2 "they figured they'd just lock her in a room and set it on fire. what a stupid plan! that could go wrong in so many ways!"
    u plot3 "you realize your friends are just a bunch of directionless thugs, useless without someone's guidance. YOUR guidance!"
    u plot4 "there'd probably be casualties if you fought her head on, and while showy deaths make a revolution a heck of a lot more fun, it's probably the wrong way to go."
    u "your friends agree, and suggest that you play the assassin. you really didn't want it to come down to this."
    u plot5 "but you can't back down now... you'll have to be the one to assassinate the overlord. besides, no one has any better ideas."

    if "hungry" in underlingbehavior:
        jump underlingoverlord
    if "slayer" in herobehavior:
        jump underlingoverlord
    if "antisocial" in overlordbehavior:
        if "obedient" in maidenbehavior:
            if "trusting" in herobehavior:
                if "resolute" not in maidenbehavior:
                    jump underlingandmaiden
                else:
                    jump underlingpart6
            else:
                jump underlingoverlord
    if "diplomatic" in herobehavior:
        if "possessive" in overlordbehavior:
            play music "music/underling violence.ogg" fadeout 1.0
            show screen cuemusic("note underling_idle", _("UNDERLING violence"), delay=1)
            u possessive "you sneak up to the overlord's room, but there's a couple of humans in there! you watch the scene unfold..."
            u possessive2 "you aren't sure why, but the overlord suddenly cuts down the hero."
            u possessive3 "she approaches the maiden you brought to her earlier."
            u possessive4 "with the overlord distracted, you figure this is as good a chance as any! you launch a sneak attack, getting her right in the back."
            u possessive5 "she flinches, giving you enough advantage to take her down. you rip the overlord apart until she stops moving."
            stop music fadeout 3.0
            u possessive6 "that was messier than you would've liked. the maiden mutters something from the corner."
            show underling possessive7
            m "\"th-thank you... for saving me...\""
            play music "music/underling song-intro.ogg"
            queue music "music/underling song.ogg"
            show screen cuemusic("note underling_idle", _("UNDERLING song"))
            u possessive8 "it wasn't your intention, but it sounds like you did something heroic."
            u "you tell the maiden to go home. this place is dangerous."
            u possessive9 "she follows your advice and leaves the castle... YOUR castle."
            show dim at lightsout
            u "you are the new overlord."
            show curtains underling
            pause 1
            if not persistent.heroicunderling:
                $ persistent.underlingends_seen += 1
                $ persistent.endings_seen += 1
            $ persistent.heroicunderling = True
            $ achievement.grant("HEROIC_UNDERLING")
            "HEROIC UNDERLING END"
            jump tryagain
        else:
            jump underlingpart6

    #otherwise...!
    jump underlingoverlord

label underlingpart6:
    $ persistent.spoilers = True
    play music insurrection
    show screen cuemusic("note overlord_idle", _("insurrection"))
    u climax "you and your friends turn to notice a pair of humans have overheard your entire conversation!"
    u climax2 "they take off into the castle. are they headed to the overlord's room? fuck!!"
    u climax3 "the overlord will kill you for sure if she found out you were conspiring to take her out! you dash into the castle after the humans."
    u climax4 "sure enough, the maiden's already frantically telling the overlord everything."
    u climax5 "you shout that the humans are liars."
    u climax6 "your friends soon arrive to back you up... except they don't. instead, they blame the whole thing on you!"
    u "they cry that it was all your idea, and that they were just going with the flow, too scared to refuse your crazy plan."
    u climax7 "you can't believe they'd tell the overlord such a blatant lie..."
    u "you always knew better than to trust them. you're the one who didn't have a choice here."
    u climax8 "you all shout at each other until the overlord demands silence."
    show underling climax9
    o "\"regardless of who led this conspiracy, i have no choice but to punish everyone to keep you all in your place: crushed beneath my heel!\""
    u climax10 "she sounds tough, but lately all she does is sleep. you doubt her strength."
    u climax11 "you hear your traitorous \"friends\" mutter something about going back to \"plan a\" and suddenly, the door slams shut."
    u climax12 "you're trapped in here with the overlord and the two humans."
    u climax13 "and then the room bursts into flames."
    u climax14 "you pound on the door, screaming curses at those who betrayed you."
    u climax15 "the hero joins you, vowing to slay the lot of them. you wish he'd get that chance."
    u climax16 "the overlord grabs you by the throat. you cry for mercy."
    u climax17 "you were forced into this mess. you're sure now that they would've killed you if you'd sided with her."
    if "merciful" in overlordbehavior:
        u merciful "to your surprise, the overlord spares you."
        u "or maybe she'd rather see you suffer instead. looking around, you've just gone from one dead end to another."
        u merciful2 "the maiden is crying. the hero is silent."
        u merciful3 "you'll all burn together."
        stop music fadeout 3.0
        show dim at lightsout
        pause 1
        show curtains underling
        pause 1
        #scene black with Dissolve(2.0)
        if not persistent.trueunderling:
            $ persistent.underlingends_seen += 1
            $ persistent.endings_seen += 1
        $ persistent.trueunderling = True
        $ achievement.grant("TRUE_UNDERLING")
        "UNDERLING'S TRUE END"

        jump trueend_afterwards

    u retribution "but the overlord doesn't hear your pleas. she drives her claws into your chest."
    u retribution2 "at least she made it quick."
    stop music fadeout 2.0
    show dim at lightsout
    pause 1
    show curtains underling
    pause 1
    play music "music/underling requiem.ogg"
    show screen cuemusic("note underling_idle", _("UNDERLING requiem"))
    if not persistent.traitorunderling:
        $ persistent.underlingends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.traitorunderling = True
    $ achievement.grant("TRAITOR_UNDERLING")
    "TRAITOR UNDERLING END"
    jump tryagain

label underlingoverlord:
    u sneak "you sneak into the overlord's room. she's taking a nap, like usual."
    u sneak2 "this is almost too easy. you silently approach your master."
    u sneak3 "she looks so peaceful..."
    $ persistent.coward = True
    menu:
        "TIME TO DIE!":
            play music "music/underling violence.ogg" fadeout 1.0
            show screen cuemusic("note underling_idle", _("UNDERLING violence"), delay=1)
            u murder "you figure the cleanest way to do this would be to dig your claws into her throat... so you do just that."
            u murder2 "she wakes, but not in time to stop you. you watch as she chokes on her blood, cursing you, before finally expiring."
            u murder3 "that felt terrible."
            u "you remind yourself it was either her or you. and you weren't about to let yourself get killed by anyone."
            u murder4 "you leave the room to find your friends waiting just outside."
            u "they look pleased... only now do you realize they must've planned to use you like this from the beginning."
            jump lordunderling

        "CHICKEN OUT" (behavior=_("coward"), doom=True):
            play music "music/underling violence.ogg" fadeout 2.0
            show screen cuemusic("note underling_idle", _("UNDERLING violence"), delay=2)
            $ underlingbehavior.append("coward")
            u coward "you don't want to kill her. you can't go through with it."
            u coward2 "you turn to leave the room, but you find your friends blocking the exit. in a panicked whisper, you ask them to let you out."
            u coward3 "this seems to have been their way of testing your loyalty. you tell them this is pretty fucked up, and ask again to be let out."
            u coward4 "the overlord stirs in her bed. while your head is turned, the demons shut the door."
            u coward5 "you scramble into the overlord's closet to hide before she wakes up and sees you. there's nothing you could possibly say to explain this and survive."
            u coward6 "you're trembling. you can't believe those assholes would bully you like this! you feel like crying."
            u coward7 "light flickers at your feet. it doesn't take you long to realize they've set the room on fire."
            u coward8 "you hear the overlord trying to get the door open to no avail. you're both trapped."
            u "too afraid to move, you resign yourself to your fate..."
            stop music fadeout 2.0
            show dim at lightsout
            u "you and the overlord burn together."
            show curtains underling
            pause 1
            play music "music/underling requiem.ogg"
            show screen cuemusic("note underling_idle", _("UNDERLING requiem"))
            if not persistent.cowardlyunderling:
                $ persistent.underlingends_seen += 1
                $ persistent.endings_seen += 1
            $ persistent.cowardlyunderling = True
            $ achievement.grant("COWARDLY_UNDERLING")
            "COWARDLY UNDERLING END"
            jump tryagain

label underlingandmaiden:
    play music "music/underling song-intro.ogg" fadeout .2
    queue music "music/underling song.ogg"
    show screen cuemusic("note underling_idle", _("UNDERLING song"), delay=.2)
    u um "you and your friends turn to notice the maiden from earlier has overheard your entire conversation!"
    u "it'd be bad for you if the overlord found out about this..."
    $ persistent.captor = True
    menu:
        "USE THE MAIDEN FOR KILLING PRACTICE":
            u slaughtered "\"this is just the way it has to be!\" you declare..."
            u slaughtered2 "...before jumping her and clawing her guts out."
            u slaughtered3 "it turns out you're already an expert at ending lives! your friends call you a show off."
            u slaughtered4 "you go back into the castle to wash off all the icky human blood."
            play music "music/underling violence.ogg" fadeout 1.0
            show screen cuemusic("note underling_idle", _("UNDERLING violence"), delay=1)
            u slaughtered5 "as you're finishing up, you hear the sounds of battle outside."
            u slaughtered6 "a hero has come. seeing the dead maiden must've made him pretty angry."
            jump schemingunderling

        "TOSS HER IN THE DUNGEON" (behavior=_("captor")):
            $ underlingbehavior.append("captor")
            u captor "you and your friends seize the maiden, and bring her to the dungeon under the castle."
            u "it's empty, save for the decorative skulls. they're only there to make it feel more spooky."
            u captor2 "the maiden is very upset. you leave her in the cell to continue scheming with your friends..."
            u captor3 "but now a hero has arrived at the front gates."
            u "he's asking about a maiden... perhaps the very one you just locked up!"
            u captor4 "the gatekeeper, who must've seen everything, tells the hero exactly what happened."
            u "what an idiot, you think. why give the hero an excuse to start slaughtering us?"
            play music "music/underling violence.ogg" fadeout 1.0
            show screen cuemusic("note underling_idle", _("UNDERLING violence"), delay=1)
            u captor5 "the hero yells \"prepare to face justice!\" and other such cliche hero lines, before driving his sword into the gatekeeper's torso."
            u captor6 "you're small compared to a lot of your friends, so you're able to slip away without getting cut up by that sword."
            jump schemingunderling

label schemingunderling:
    u scheming "you get to thinking... if this hero took down the overlord for you, everything might actually work out in your favor."
    u "you wait for things to die down outside before poking your head out..."
    u scheming2 "you spot the overlord and hero locked in battle. they've worn each other down, making this very easy for you."
    u scheming3 "once an opening presents itself, you hit the back of the hero's head, knocking him out."
    show underling scheming4
    o "\"WHAT ARE YOU DOING?! couldn't you tell this was a duel?!\""
    u scheming5 "you don't respond. you have to carry out the assassination."
    u scheming6 "you tackle her, and rip her to shreds with your claws until she stops moving."
    u scheming7 "you finish off the hero next. you can't let him revive and come after you later."
    u scheming8 "kind of a cheap victory... but it doesn't make any difference."
    u scheming9 "anyone who managed to survive comes crawling out of their hiding places."
    $ altend = True
label lordunderling:
    u lord "you are the new ruler of this castle. your subjects bow before you."
    show dim at lightsout
    u "you live in fear that they will one day betray you, as you had betrayed your overlord."
    show curtains underling
    pause 1
    if not persistent.lordunderling:
        $ persistent.underlingends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.lordunderling = True
    $ achievement.grant("LORD_UNDERLING")
    if altend:
        "LORD UNDERLING END A" #kill overlord after hero weakens her
    else:
        "LORD UNDERLING END B" #kill overlord in her sleep
    jump tryagain
